diff -ruw /opt/local/var/db/dports/sources/rsync.rsync.darwinports.org_dpupdate_dports/editors/vim/Portfile ./Portfile
--- /opt/local/var/db/dports/sources/rsync.rsync.darwinports.org_dpupdate_dports/editors/vim/Portfile	2006-09-13 18:01:53.000000000 +0200
+++ ./Portfile	2006-10-21 21:05:48.000000000 +0200
@@ -3,7 +3,7 @@
 
 name			vim
 set vim_version		7.0
-set vim_patchlevel	91
+set vim_patchlevel	146
 version			${vim_version}.${vim_patchlevel}
 categories		editors
 maintainers		mij@macports.org
@@ -38,6 +38,7 @@
 
 dist_subdir		vim
 distname		vim[strsed ${vim_version} {g/[.]//}]
+patchfiles		src-os_unix.c.diff
 
 eval {
     set low 1
diff -ruw /opt/local/var/db/dports/sources/rsync.rsync.darwinports.org_dpupdate_dports/editors/vim/patch_checksums ./patch_checksums
--- /opt/local/var/db/dports/sources/rsync.rsync.darwinports.org_dpupdate_dports/editors/vim/patch_checksums	2006-09-13 18:01:53.000000000 +0200
+++ ./patch_checksums	2006-10-21 20:50:34.000000000 +0200
@@ -1,95 +1,143 @@
 # $Id: patch_checksums,v 1.14 2006/06/23 19:44:38 mww Exp $
-checksums-append	7.0.001 sha1 54143281b4d21a825b7bb02bdd55c4716e7b6f80 \
-                    7.0.001 sha1 54143281b4d21a825b7bb02bdd55c4716e7b6f80 \
-                    7.0.002 sha1 6f2dd23d336951c2c959fc9c0ac3c312296a54ff \
-                    7.0.003 sha1 ca44175742982273c8db3ce81a0a07af74946320 \
-                    7.0.004 sha1 ea3ceffb6a044ff608642ae2c5c550b58ccfc81a \
-                    7.0.005 sha1 5d9b4e80f7342537360d97a51118171ae42cb433 \
-                    7.0.006 sha1 6fa3176788312cea9871fb08f197f5365b367aff \
-                    7.0.007 sha1 1c5d7c999de9da9e24e11a968c41b487fd92be19 \
-                    7.0.008 sha1 62c05ace9a767048249a42cd92b983d46fcbc9f6 \
-                    7.0.009 sha1 3b45ab6675da83bc361cea07237868f720d3d55f \
-                    7.0.010 sha1 472820a4d1ae6cd640a9b403982dc3c583e58d22 \
-                    7.0.011 sha1 b52619534133e737aef6c5ab5e820508fcde22b4 \
-                    7.0.012 sha1 78ef3575858f9f287d4beff071766346cee8c476 \
-                    7.0.013 sha1 249f560b62ff62806b549c24cd0bcb3a8f3ccc7c \
-                    7.0.014 sha1 1101e1653cdea50a7bee7c03259aad7a076214c1 \
-                    7.0.015 sha1 253741ba6062ab7f850b63e771490dc19d8a04a0 \
-                    7.0.016 sha1 5cd3e0a874227052feed665fddbdabf22ea704f1 \
-                    7.0.017 sha1 13a37438881c5edc50d6566458ee013fbe3f6f64 \
-                    7.0.018 sha1 f56a8aad877bef4ce46f787956a743d351bdcad2 \
-                    7.0.019 sha1 6dd5a90f565a94363820b2a8b7c4df1cc1b4b20c \
-                    7.0.020 sha1 5c76e0ef602f0347555b87ecddbecadd757e619a \
-                    7.0.021 sha1 64c11edb3d9972777915e3c5ae089dbf6429a3dc \
-                    7.0.022 sha1 4add9ea1123ff3f3d109d90b8b9ebae7be691127 \
-                    7.0.023 sha1 5ac8fbbc51ddef5852d9dd1b41d588e8586fc22f \
-                    7.0.024 sha1 e75215b34a62a4744de6e139cdb489a76663bf77 \
-                    7.0.025 sha1 9d5b0aaae20bcb3ab182f192b5c7fb7429d36fce \
-                    7.0.026 sha1 52d9c3ac9383ea35e86570c6837efb423746d564 \
-                    7.0.027 sha1 c26be5605268358f02b6673ad356a444458b8d5d \
-                    7.0.028 sha1 c1b2131e95deb3a39e556c9405c5cb8c5f9c5eb8 \
-                    7.0.029 sha1 0a914a94ccfd7dd7d2bf48cd7d87decffb7d92c1 \
-                    7.0.030 sha1 582692a56a4341e9cf127dea8204821fd9b353b8 \
-                    7.0.031 sha1 405c33ca04fc4922cd1fd4e8533d3ae01d26ba64 \
-                    7.0.032 sha1 ee077ab67dc35758bd4300678fc483a45f29045d \
-                    7.0.033 sha1 895536469affc322088cd7e654095c2f7d3bf2a1 \
-                    7.0.034 sha1 56f153533612f9679a6738d3c657f14be1dd09dd \
-                    7.0.035 sha1 e8da3cff17eed18950fe680458ba3203bfa9e395 \
-                    7.0.036 sha1 09e9784634f32488ea91b3f49b35229552224480 \
-                    7.0.037 sha1 10a54622bab8c9abe6559334c2017c9160013e33 \
-                    7.0.038 sha1 07065c93f3b9c88687344d108b0a877d729f6027 \
-                    7.0.039 sha1 c64379758a14ec88659c8769d59c3f8df4e67a11 \
-                    7.0.040 sha1 5c5e8b04e5ee6793033aa393b1289a30c505e939 \
-                    7.0.041 sha1 1854f751286ca5a41d5b38f62498c7a28035dbf0 \
-                    7.0.042 sha1 aeb2b6c46782ff7d5b673655d1803da07855eceb \
-                    7.0.043 sha1 1217bf67ea301dc17fd2ffcac8c26611e76ef6df \
-                    7.0.044 sha1 c0c0c91101f35db455df8eaf41b1fdd65163df54 \
-                    7.0.045 sha1 2e88ad13a874e8dad1c225cef97080ac79f096b2 \
-                    7.0.046 sha1 a1e6e10e70286ebe880f07c723bcb4c76b7b5aef \
-                    7.0.047 sha1 cb10dfbc64059e273eb6fdb89a5cbb45df06bfdb \
-                    7.0.048 sha1 ba804b216ac86b2397a20dfc9b3174bc03b9b931 \
-                    7.0.049 sha1 8d49cc3c00b132857283d820a811608bc8c0f5fc \
-                    7.0.050 sha1 755601cd1af5e39a5ad7642a2b8936110d48588f \
-                    7.0.051 sha1 2a9c5a9183650f87423177a15118503816e0ba93 \
-                    7.0.052 sha1 f97c3c3a7b65ed199bb5c4a438e717cf386ba9f0 \
-                    7.0.053 sha1 e19d0d1118a86d81cfe1651be997bd9361032423 \
-                    7.0.054 sha1 a78084c4fb1ea82b9eaed600dfc1375944d1d7ad \
-                    7.0.055 sha1 6d8d80edcaccf89e729af2f331dd34008beb3950 \
-                    7.0.056 sha1 5268c1495c0a4a61b91585263b1983a51d2c72e1 \
-                    7.0.057 sha1 f83b6a85aa9687c2322f2dae6f6c5458b04bca05 \
-                    7.0.058 sha1 9d44743e0eac1338a5f93db0d8c95d727c801bb0 \
-                    7.0.059 sha1 744b2af26eefc3794ca7b79e879a0dcdbdd0c6ac \
-                    7.0.060 sha1 d5343c022733306d94861e31cc2f0d89769c3553 \
-                    7.0.061 sha1 4ab0f977f9de825f8cdf63d5b7fedb13551d8d0e \
-                    7.0.062 sha1 668091773aeef89be9ce564e2f928d4bb8be4bca \
-                    7.0.063 sha1 a9e4ebab3c86f09eb1ed2f9450090f33f5a3429e \
-                    7.0.064 sha1 bf8dcf33d73ddadf7847223016669f721dc80801 \
-                    7.0.065 sha1 daa8838720fff490ea1d43314d46ca21d17a1ddf \
-                    7.0.066 sha1 d7bbfbb053ff26c034bd644e0f22f7a345e21433 \
-                    7.0.067 sha1 40165a2e5a73f031a26292a75faab833de4cd9f8 \
-                    7.0.068 sha1 20313caa1534e3679b696a34868949aa26b66c7e \
-                    7.0.069 sha1 132a0fd1025d64d4dd2cd3f1841bb3e4729326c7 \
-                    7.0.070 sha1 103f0dcfba192df8e15fe7004e18ff38d083021e \
-                    7.0.070 sha1 103f0dcfba192df8e15fe7004e18ff38d083021e \
-                    7.0.071 sha1 99db83541d38661a1c57aaa4a0810dbf3236b8c6 \
-                    7.0.072 sha1 3898b25c90e0c2d55799ec5dd00c62f4fa47e58c \
-                    7.0.073 sha1 01c43abcf3eed62807393e94b974f854fb87e466 \
-                    7.0.074 sha1 6b223ce82ef9d6f6e9537b80950d8d7a2749fff5 \
-                    7.0.075 sha1 544dbc027aac36ac21e85564b0cedaeb647488be \
-                    7.0.076 sha1 fa99c657acd2840d37992d51f876fc462da3bbb1 \
-                    7.0.077 sha1 c763a340ea1991717a120ef19e887de9692969b3 \
-                    7.0.078 sha1 2484e671efdaa06ed2a37120da50c5742d90fcaf \
-                    7.0.079 sha1 ba6cd607e4aa4e03e78e411b84de4a798ea89f91 \
-                    7.0.080 sha1 644e42b686fccf512d86f7f422ce78a41282fcb6 \
-                    7.0.080 sha1 644e42b686fccf512d86f7f422ce78a41282fcb6 \
-                    7.0.081 sha1 b252f6d502d5d21dc8311ab424862c591fbbbe83 \
-                    7.0.082 sha1 57a904f24d9b2852ab697dc377914ac763729378 \
-                    7.0.083 sha1 41cd60c9d34b930ae1b6b8194e8520f27e1a0934 \
-                    7.0.084 sha1 8b5f67e9b45f20ede1c02a352a54f245261a496c \
-                    7.0.085 sha1 1b7206852a6351771d9b390bac7d6ed2a245adc3 \
-                    7.0.086 sha1 d0117047eac935cf872a80ee23ec4b7e8476228c \
-                    7.0.087 sha1 31f7708e4753126d7841984014dcccb269fba5ab \
-                    7.0.088 sha1 79e9269cdb20a83ef0e94684d1e20b31c2c0dc93 \
-                    7.0.089 sha1 2fba154227b9b0e59ad6622d7540c7c65810a854 \
-                    7.0.090 sha1 903c0ca43575f4ceb5674e23d6e227d3b5022a36 \
-                    7.0.091 sha1 05433075df261adef6ecbfcefaaed1782f050539
+checksums-append	7.0.001-100.gz md5 deb7e37dee5de18ff56e6ab544f20c65 \
+					7.0.001-100.gz sha1 cc3faa6722a70f1580438df7ddf498607e9e920f \
+					7.0.001-100.gz rmd160 247d4823f18768fa08c4e7ebc470bf2eb215537b \
+					7.0.101 md5 61e25e7b601ab5f94ca2f3cacc5ddac1 \
+					7.0.101 sha1 9806340e653f0f1b19f939621af6ab43b3ca9ea6 \
+					7.0.101 rmd160 69fd3e9207333bc489f51e464dbd2b58c101a33f \
+					7.0.102 md5 fcb6a3664647f5e9677ea3d4e504019b \
+					7.0.102 sha1 8392d637e13d113da8d8440048e267b38ff08efd \
+					7.0.102 rmd160 77d5479c24bab8624c7b0cdfef2752e8654708b7 \
+					7.0.103 md5 b29233c537c4f536112a5017de5fa562 \
+					7.0.103 sha1 e4df2610bef7e1455346fb2215a4a401ce85423b \
+					7.0.103 rmd160 64bd832e5a82815841eb4a33ffba681990473314 \
+					7.0.104 md5 cd4ff38887b42929b50e47c480230027 \
+					7.0.104 sha1 95fccd6512bdb2c4170817c36090da2b440fc155 \
+					7.0.104 rmd160 990a50a63229828533f9413a14cc635f850bee33 \
+					7.0.105 md5 9704dc79455791ab0da95aa19d1eec2a \
+					7.0.105 sha1 7b9fb4288aac726c360b097b52b01067fcafb8b6 \
+					7.0.105 rmd160 dffe83dd2f9eab92b933cf34723afc83314c4645 \
+					7.0.106 md5 73cfa6f8ec957e9fbb6a46d3fb7e77d3 \
+					7.0.106 sha1 cd3517bfa82761aefb4b2abe34818af0b01696b3 \
+					7.0.106 rmd160 f467afc5fa0b909a894d14be1f3f7ad85c206cb5 \
+					7.0.107 md5 ef5e8288dff28a6dababfd499bb2f8ca \
+					7.0.107 sha1 5a1b0039282d78c72245918c102b160d5281e938 \
+					7.0.107 rmd160 337ccc27e52e710ccd2c255f17a3615755d93ba6 \
+					7.0.108 md5 70d09239ee44914630622d6719f3e0dd \
+					7.0.108 sha1 46617254cfcd7be0f8b2fa3b369f91848146929b \
+					7.0.108 rmd160 9ff6e74507c142be6f17b7fdf277944a4d55effc \
+					7.0.109 md5 1aa1aa1b365979c686db5c5fed7954ed \
+					7.0.109 sha1 82e66182018c5d0ffb8d9a416605c67ea8ff5292 \
+					7.0.109 rmd160 e9eabe1d8f50dbfd7b2c3e13dfa3cae7b303f2dc \
+					7.0.110 md5 b182216cb0737fccbb4af05a1e877de6 \
+					7.0.110 sha1 07884f550eeb8dc1b43ab0cb1512d8d3f6bc9c0d \
+					7.0.110 rmd160 97f0120f5965ba969715e003489b775534c136d3 \
+					7.0.111 md5 184b0a1d1fbcc76c6c311a03c6c4af23 \
+					7.0.111 sha1 234dc9e78e7bbf37900c3c35bb7c23780f3d5041 \
+					7.0.111 rmd160 6cc2e45a775763eb8718a2e51bbe8c694fa833cd \
+					7.0.112 md5 4948a0d9773fef42718a3bf63ea40271 \
+					7.0.112 sha1 d339c207ba3bea77e3123da55615857db8c5cbb6 \
+					7.0.112 rmd160 c42d6244c3ee2a41c8fc1bb3530511f08ce6c57e \
+					7.0.113 md5 6c5db1aa5c18181628caefa377104de0 \
+					7.0.113 sha1 cfa051d2c7e7100e0063601623c95b406a40ea47 \
+					7.0.113 rmd160 a60c195ba4883119e27f0d224666f8959ed0ddf9 \
+					7.0.114 md5 f76e71b24ae755fb83eff5c28b551360 \
+					7.0.114 sha1 256241c55b9dc3a868318354a820f57e48b27405 \
+					7.0.114 rmd160 409b9e618c14e282cdc91112f574c837da6eb39c \
+					7.0.115 md5 20aa3d2e373f9c33096af2abe1fdd9d8 \
+					7.0.115 sha1 70df84ebe53ab0bc61b7441afdc01bffc1d198bb \
+					7.0.115 rmd160 a4477b8286f10b2221d4fa8071d8d2bc8e42a326 \
+					7.0.116 md5 4dd3ffd2760bc9fec66ff2c045947513 \
+					7.0.116 sha1 6aa37822dc11aeea5a79c994a682eb60a6ad6aca \
+					7.0.116 rmd160 ec18b2458dc7af3cd68fa9d6ce572b59adcc4a3e \
+					7.0.117 md5 5ae5513c7c70215ee6248b8192f98eea \
+					7.0.117 sha1 9a83554325ff0fb175ea11fc32b5a3c0532fb60b \
+					7.0.117 rmd160 53a362026541f2c0be8b58cb603de7ab559b3e3c \
+					7.0.118 md5 33db009d325fd7a4faac8ca5cbb704c5 \
+					7.0.118 sha1 116914d1f2dc551aacfd7b154e80558e675b2f69 \
+					7.0.118 rmd160 440a6e32bd4094f5236e80cba20f6965ed7aff98 \
+					7.0.119 md5 af7ead306c4041dfde34617b8874f1de \
+					7.0.119 sha1 9a40b0aa259aff3d21aae6508ce634b1cf40eb8e \
+					7.0.119 rmd160 8fdeafde1c7486b73f4f19e142df5e75cdae4896 \
+					7.0.120 md5 f77aebabfa0b62608e9d54ba1f3ff106 \
+					7.0.120 sha1 def6a85d137b976f9373f92092edbbf120a1af09 \
+					7.0.120 rmd160 74dbfb58dbe7d31ca506008a37af8faf76b71d1d \
+					7.0.121 md5 31c22c1b9a14ff14a53203f70822c488 \
+					7.0.121 sha1 8c0bbe3b99b1b1d98de7c3a317c88cff58c682c3 \
+					7.0.121 rmd160 ea40652b71b094aa0aeaf27303869d5e4f54879b \
+					7.0.122 md5 64147ab20ab3f2ccc812d64806c549b9 \
+					7.0.122 sha1 c3a9ee3aef623cd227d2ca06accf84f8e08566b2 \
+					7.0.122 rmd160 66b6af9d3fbedf0e3acef0859d5d345afef30b38 \
+					7.0.123 md5 5eb7b43ca3c5b93ee335512c6cb38b2c \
+					7.0.123 sha1 6c50d0a3bad24f81136cbdc89b75412ae25e5f29 \
+					7.0.123 rmd160 848a686c7f62c983d93b7876c8a00c3dc330e7af \
+					7.0.124 md5 b9ad7f1c1db3b4a83889fc30b0b64db9 \
+					7.0.124 sha1 f6a71753974514420d6d4be5e1b20500237382ff \
+					7.0.124 rmd160 91402ed3c7541ed67ffcb20f7b646a77ac2f7d88 \
+					7.0.125 md5 b90dce400be4784ea118ea08f6fb165f \
+					7.0.125 sha1 952d8b36f031a33fcf3d3a2680f8797192b4b6a5 \
+					7.0.125 rmd160 9ad4679cf271438d4eed852f07fdac2343697caa \
+					7.0.126 md5 89b3025f4a7544ebe065d961b5d28a90 \
+					7.0.126 sha1 7f18872a35b3ad78a633dd29a7dfe755095bfec1 \
+					7.0.126 rmd160 18545801fcef0682cd4274d6729a116e6efb4c84 \
+					7.0.127 md5 5b2b6fd2d0e7784f8c1802ad8d9f9cb4 \
+					7.0.127 sha1 cbce25ad4e1e4f16e5f57ce2866db449ad3536ba \
+					7.0.127 rmd160 c2b31ca9192880cf316d750424b4a517f1b6f21b \
+					7.0.128 md5 bc08eabb373b3787f1af8c4a474057e4 \
+					7.0.128 sha1 54dd22086b8acfa371687f791d54992fcd726956 \
+					7.0.128 rmd160 5cecc09c97d73468abd2dea79a6aef16bf34b386 \
+					7.0.129 md5 9f47dd05a1c880e4dc070e472497ec8c \
+					7.0.129 sha1 433e44cf31ffb0fdeccf1f8f86a9ea87c4f73f48 \
+					7.0.129 rmd160 ac62111d6470660c172fd7173cbf62cda9449594 \
+					7.0.130 md5 134f506bbcf592be9a4950fd669bf92f \
+					7.0.130 sha1 0884508c1772c6baf4a9babcb09347b8487484ca \
+					7.0.130 rmd160 e8c78c55698d07df761e3be5d42305079d1d0bbf \
+					7.0.131 md5 992b709effd0066f5d425addba77a35c \
+					7.0.131 sha1 1550a72d351c197bca49cee9401777308c1181c9 \
+					7.0.131 rmd160 ab7d13207c4a82ab4f1d2e1c24447236b78504c5 \
+					7.0.132 md5 69cf4c271d1403f272603169542aaf72 \
+					7.0.132 sha1 3b5f16b1a6ecd40a057fb084c25354d1045af564 \
+					7.0.132 rmd160 068d31a89fe184d1a8bbc1e79a7185748378d5aa \
+					7.0.133 md5 efb92d47f64544f4a47242ec13cfa379 \
+					7.0.133 sha1 b5be19d1525c373542f9cb20c8dc0a9bb4ff3339 \
+					7.0.133 rmd160 e2aba6d6f0141451901a79d9c97d39140cd193b3 \
+					7.0.134 md5 53dbbb7ee5605b2468f3692ee1f912fd \
+					7.0.134 sha1 146aa5e4e977c13d24caf6e86adb0bf94698170a \
+					7.0.134 rmd160 a09b645c26634a4d3b37793aefc9b066fb51843e \
+					7.0.135 md5 50125241d831afb430b82eba148c057e \
+					7.0.135 sha1 3709894b1d86d767dd48e21bd82803e896f70229 \
+					7.0.135 rmd160 3d7fcc958860f4a373772d87851f689d14cc429b \
+					7.0.136 md5 f03145e3d351319c3d91d9e0d0e0489d \
+					7.0.136 sha1 2ee3c596252094a792d61604738f1e1bd5b07ba6 \
+					7.0.136 rmd160 6ab8006de594633b4828afef287358e97c1d86c3 \
+					7.0.137 md5 6e2f0741ade9ec2be769965d724812b9 \
+					7.0.137 sha1 85d3790c90bfec017a5a3ec162bfc393c8b51dde \
+					7.0.137 rmd160 6c5439e30dc08944de01ebc644eba6ffe2ac4ac8 \
+					7.0.138 md5 67758e0e09df16d113b357bc8d4ede33 \
+					7.0.138 sha1 d20d535c7f7bcdd8c31d9bb3a3722e75f4150464 \
+					7.0.138 rmd160 5baa2be634852a9760d767a7baca25fd03597e3a \
+					7.0.139 md5 600ab7a532209fbf630b6538f59919b1 \
+					7.0.139 sha1 b024d4cc275a6c9e1788b19076ace89a646abd0d \
+					7.0.139 rmd160 135b1816c94b2aa5517d3c4c563e54bbac9f9e6a \
+					7.0.140 md5 5adab55ea94e1809f0f78f3035e1a8f3 \
+					7.0.140 sha1 3058e3bdbdfdae8d7cffe56779ed22888ea00c5e \
+					7.0.140 rmd160 1efb8e4e8e59adcf4bf3b1eb108482f059d83e30 \
+					7.0.141 md5 547ef64d35d2e335cffb5ddaa1200fdd \
+					7.0.141 sha1 b752e7b16e9c5f3bebc453b76b6ad7fab00d8674 \
+					7.0.141 rmd160 146d23a7238a1dd45ab6856cc4d5ddce3d73e685 \
+					7.0.142 md5 99c02ac9bb6ddaaf83c2b95eb0bed61a \
+					7.0.142 sha1 386498221d808f049b04364f6580cc3ace7a1011 \
+					7.0.142 rmd160 7fc2c978dbb28ffdc5ad982a8626b7036a176033 \
+					7.0.143 md5 57e755c11288d48a06ade53b4560e8ab \
+					7.0.143 sha1 efbe219da06625a4c0cf7d7116354815a682293c \
+					7.0.143 rmd160 d2d65dfef2e7c25d6f0c14ad91ebfb6f4fd360f3 \
+					7.0.144 md5 162850c38ad26f128c79bc56268e7bbd \
+					7.0.144 sha1 ee04cecf2aa9d1d4e1da88c8e779e3691aa3d585 \
+					7.0.144 rmd160 71714d7eb18c815e6471900cc72e5445efc964ff \
+					7.0.145 md5 f7165463c9c9ecf8a55430b4352bb63b \
+					7.0.145 sha1 d49c316992e0b5a0672bde512122390f48292897 \
+					7.0.145 rmd160 2d5de3f7392e8f89fd2a2397aa1679d5d67de550 \
+					7.0.146 md5 1af49cf161428608ab4b12d1cd271276 \
+					7.0.146 sha1 b7d60bab4e58ddd32ea78a2cbaeb5d1f759d9a6b \
+					7.0.146 rmd160 c43ac662cd4067ddef3e2e5cf34b49e0cdb1d859
+