Index: Portfile
===================================================================
--- Portfile	(revision 21805)
+++ Portfile	(working copy)
@@ -1,58 +1,68 @@
 # $Id$
 
-PortSystem 1.0
-name        john-devel
-version     1.6.38
-categories  sysutils security
-maintainers yeled@macports.org
-description Featureful Unix password cracker
-long_description    \
-    John the Ripper is a UNIX password cracker, currently available for \
-    UNIX (tested with Linux x86, FreeBSD x86, Solaris 2.x SPARC, OSF/1 \
-    Alpha), DOS, WinNT/Win95.
-homepage    http://www.openwall.com/john/
-platforms   darwin
-master_sites    \
-    http://www.openwall.com/john/ \
-    ftp://ftp.ca.openwall.com/pub/projects/john/ \
-    ftp://ftp.openwall.com/pub/projects/john/ \
-    ftp://ftp1.ru.openwall.com/pub/projects/john/ \
-    ftp://ftp2.ru.openwall.com/pub/projects/john/ \
-    ftp://ftp.pl.openwall.com/pub/projects/john/ \
-    ftp://ftp.ua.openwall.com/pub/projects/john/ \
-    ftp://ftp.cz.openwall.com/pub/projects/john/
-checksums   md5 cad2877bc4d0e54c3863f5e7d1143fc6
-distname    john-${version}
-worksrcdir  ${distname}/src
-configure   {}
-build.args  macosx-ppc32-cc
-build.target
+PortSystem          1.0
+name                john-devel
+version             1.7.2
+categories          sysutils security
+maintainers         yeled@macports.org
+description         Featureful Unix password cracker
+long_description    John the Ripper is a UNIX password cracker, currently available for \
+                    UNIX (tested with Linux x86, FreeBSD x86, Solaris 2.x SPARC, OSF/1 \
+                    Alpha), DOS, WinNT/Win95.
+homepage            http://www.openwall.com/john/
+platforms           darwin
+master_sites        http://www.openwall.com/john/f/ \
+                    ftp://ftp2.msk.ru.openwall.com/pub/projects/john/${version}/ \
+                    ftp://ftp.ibiblio.org/pub/linux/distributions/openwall/projects/john/${version}/ \
+                    ftp://ftp.cert.dfn.de/pub/tools/net/Openwall/projects/john/${version}/ \
+                    http://distro.ibiblio.org/pub/linux/distributions/openwall/projects/john/${version}/ \
+                    ftp://ftp.mirrorgeek.com/openwall/projects/john/${version}/ \
+                    http://mirrorgeek.com/openwall/projects/john/${version}/ \
+                    ftp://ftp1.msk.ru.openwall.com/pub/projects/john/${version}/ \
+                    ftp://ftp.spb.ru.openwall.com/pub/projects/john/${version}/ \
+                    ftp://ftp.man.szczecin.pl/pub/Linux/Owl/projects/john/${version}/ \
+                    ftp://ftp.se.openwall.com/pub/projects/john/${version}/ \
+                    http://ftp.sunet.se/pub/security/tools/net/Openwall/projects/john/${version}/ \
+                    ftp://ftp.sunet.se/pub/security/tools/net/Openwall/projects/john/${version}/ \
+                    ftp://ftp.mathematik.uni-marburg.de/pub/mirror/openwall/projects/john/${version}/ \
+                    ftp://ftp.wiretapped.net/pub/openwall/projects/john/${version}/ \
+                    ftp://ftp.ua.openwall.com/pub/projects/john/${version}/ \
+                    ftp://ftp.cz.openwall.com/pub/projects/john/${version}/
+use_bzip2           yes
+checksums           md5 dc6a6c2a885110ccb5da4c1e2010cb07 \
+                    sha1 7cc994f9cbd1582b46cbdeb1d5f318891ea8b411 \
+                    rmd160 3754da88a98f1c120e28de1eb10b214bf7dd3baf
+distname            john-${version}
+worksrcdir          ${distname}/src
+
+post-patch  {
+    reinplace "s,CFLAGS =,CFLAGS = -DJOHN_SYSTEMWIDE=1 -DJOHN_SYSTEMWIDE_EXEC=\\\\\\\\\\\\\"${prefix}/share/john\\\\\\\\\\\\\" -DJOHN_SYSTEMWIDE_HOME=\\\\\\\\\\\\\"${prefix}/share/john\\\\\\\\\\\\\",g" ${worksrcpath}/Makefile
+    reinplace "s,CFLAGS=\",CFLAGS=\"-DJOHN_SYSTEMWIDE=1 -DJOHN_SYSTEMWIDE_EXEC=\\\\\\\\\\\\\"${prefix}/share/john\\\\\\\\\\\\\" -DJOHN_SYSTEMWIDE_HOME=\\\\\\\\\\\\\"${prefix}/share/john\\\\\\\\\\\\\" ,g" ${worksrcpath}/Makefile
+}
+use_configure       no
+
+platform powerpc {
+    build.target    "clean macosx-ppc32"
+}
+platform i386 {
+    build.target    "clean macosx-x86-mmx"
+}
+variant altivec conflicts i386 {
+    build.target    "clean macosx-ppc32-altivec"
+}
+
 destroot {
-    file mkdir ${destroot}${prefix}/bin
+    xinstall -d ${destroot}${prefix}/bin
     file copy ${workpath}/${distname}/run ${destroot}${prefix}/share/john
-    system "chmod -R ugo+rx ${destroot}${prefix}/share/john"
+    system "chmod -R a+rx ${destroot}${prefix}/share/john"
     system "ln -s ${prefix}/share/john/john ${destroot}${prefix}/bin/john"
-    file mkdir ${destroot}${prefix}/share/doc
+    xinstall -d ${destroot}${prefix}/share/doc
     file copy ${workpath}/${distname}/doc ${destroot}${prefix}/share/doc/john
-    system "chmod -R ugo+rx ${destroot}${prefix}/share/doc/john"
+    system "chmod -R a+rx ${destroot}${prefix}/share/doc/john"
 }
 
-variant altivec conflicts sixty-four-bit {
-build.args-delete   macosx-ppc32-cc
-build.args-append   macosx-ppc32-altivec-cc
-depends_build   port:perl5.8
-    configure {
-            reinplace "s|\/usr|${prefix}|g" ${workpath}/${worksrcdir}/ppc-alti.pl
-    }
-}
-
-#variant sixty-four-bit {
-#build.args-delete  macosx-ppc32-cc
-#build.args-append  macosx-ppc64-cc
-#}
-
 post-install {
-        ui_msg  ""
-        ui_msg  "You'll find the john files under ${prefix}/share/john/"
-        ui_msg  ""
+    ui_msg  ""
+    ui_msg  "You'll find the john files under ${prefix}/share/john/"
+    ui_msg  ""
 }