Index: dports/editors/vim/Portfile
===================================================================
--- dports/editors/vim/Portfile	(revision 21780)
+++ dports/editors/vim/Portfile	(working copy)
@@ -3,13 +3,13 @@
 
 name			vim
 set vim_version		7.0
-set vim_patchlevel	188
+set vim_patchlevel	191
 version			${vim_version}.${vim_patchlevel}
 categories		editors
 maintainers		mij@macports.org
 description		Vi "workalike" with many additional features
 long_description	Vim is a virtually compatible, extremely \
-					enhanced version of the vi editor.
+				enhanced version of the vi editor.
 homepage		http://www.vim.org/
 platforms		darwin freebsd
 
@@ -19,27 +19,58 @@
 
 use_bzip2		yes
 
-master_sites    ftp://ftp.vim.org/pub/vim/unix/:vim \
-                ftp://ftp.us.vim.org/pub/vim/unix/:vim \
-                ftp://ftp2.us.vim.org/pub/vim/unix/:vim \
-                ftp://ftp3.us.vim.org/pub/vim/unix/pub/mirrors/ftp.vim.org/vim/:vim \
-                ftp://ftp.is.co.za/applications/editors/vim/unix/:vim \
-                ftp://ftp.prz.tu-berlin.de/pub/unix/editors/vim/unix/:vim \
-                ftp://ftp.mirror.ac.uk/sites/ftp.vim.org/pub/vim/unix/:vim \
-                ftp://ftp.vim.org/pub/vim/extra/:extra\
-                ftp://ftp.us.vim.org/pub/vim/extra/:extra \
-                ftp://ftp2.us.vim.org/pub/vim/extra/:extra \
-                ftp://ftp3.us.vim.org/pub/vim/extra/pub/mirrors/ftp.vim.org/vim/:extra \
-                ftp://ftp.is.co.za/applications/editors/vim/extra/:extra \
-                ftp://ftp.prz.tu-berlin.de/pub/unix/editors/vim/extra/:extra \
-                ftp://ftp.mirror.ac.uk/sites/ftp.vim.org/pub/vim/extra/:extra
+master_sites	ftp://ftp.vim.org/pub/vim/unix/:vim \
+		http://ftp.vim.org/pub/vim/unix/:vim \
+		ftp://ftp.us.vim.org/pub/vim/unix/:vim \
+		ftp://ftp2.us.vim.org/pub/vim/unix/:vim \
+		ftp://ftp9.us.vim.org/pub/vim/unix/:vim \
+		ftp://ftp.ca.vim.org/pub/vim/unix/:vim \
+		ftp://ftp.nl.vim.org/pub/vim/unix/:vim \
+		ftp://ftp2.nl.vim.org/pub/vim/unix/:vim \
+		ftp://ftp3.nl.vim.org/pub/vim/unix/:vim \
+		ftp://ftp3.de.vim.org/pub/vim/unix/:vim \
+		ftp://ftp.uk.vim.org/pub/vim/unix/:vim \
+		ftp://ftp.ie.vim.org/pub/vim/unix/:vim \
+		ftp://miroir-francais.fr/pub/vim/unix/:vim \
+		ftp://ftp.is.vim.org/pub/vim/unix/:vim \
+		ftp://ftp.pl.vim.org/pub/vim/unix/:vim \
+		ftp://ftp.ro.vim.org/pub/vim/unix/:vim \
+		ftp://ftp.cz.vim.org/pub/vim/unix/:vim \
+		ftp://ftp.sk.vim.org/pub/vim/unix/:vim \
+		ftp://ftp.tw.vim.org/pub/Unix/Editors/Vim/unix/:vim \
+		ftp://ftp2.tw.vim.org/pub/vim/unix/:vim \
+		ftp://ftp.jp.vim.org/pub/vim/unix/:vim \
+		ftp://ftp.kr.vim.org/pub/vim/unix/:vim \
+		ftp://ftp.vim.org/pub/vim/extra/:extra \
+		http://ftp.vim.org/pub/vim/extra/:extra \
+		ftp://ftp.us.vim.org/pub/vim/extra/:extra \
+		ftp://ftp2.us.vim.org/pub/vim/extra/:extra \
+		ftp://ftp9.us.vim.org/pub/vim/extra/:extra \
+		ftp://ftp.ca.vim.org/pub/vim/extra/:extra \
+		ftp://ftp.nl.vim.org/pub/vim/extra/:extra \
+		ftp://ftp2.nl.vim.org/pub/vim/extra/:extra \
+		ftp://ftp3.nl.vim.org/pub/vim/extra/:extra \
+		ftp://ftp3.de.vim.org/pub/vim/extra/:extra \
+		ftp://ftp.uk.vim.org/pub/vim/extra/:extra \
+		ftp://ftp.ie.vim.org/pub/vim/extra/:extra \
+		ftp://miroir-francais.fr/pub/vim/extra/:extra \
+		ftp://ftp.is.vim.org/pub/vim/extra/:extra \
+		ftp://ftp.pl.vim.org/pub/vim/extra/:extra \
+		ftp://ftp.ro.vim.org/pub/vim/extra/:extra \
+		ftp://ftp.cz.vim.org/pub/vim/extra/:extra \
+		ftp://ftp.sk.vim.org/pub/vim/extra/:extra \
+		ftp://ftp.tw.vim.org/pub/Unix/Editors/Vim/extra/:extra \
+		ftp://ftp2.tw.vim.org/pub/vim/extra/:extra \
+		ftp://ftp.jp.vim.org/pub/vim/extra/:extra \
+		ftp://ftp.kr.vim.org/pub/vim/extra/:extra
 
-patch_sites     [strsed [strsed ${master_sites} g/unix/patches\/${vim_version}/] g/:vim//]
+patch_sites	[strsed [strsed ${master_sites} \
+			g/unix/patches\/${vim_version}/] g/:vim//]
 
-patchfiles      patch-if_ruby.c
+patchfiles	patch-if_ruby.c
 
-dist_subdir		vim
-distname		vim[strsed ${vim_version} {g/[.]//}]
+dist_subdir	vim
+distname	vim[strsed ${vim_version} {g/[.]//}]
 
 eval {
     set low 1
@@ -55,8 +86,8 @@
     }
 }
 
-configure.args		--enable-gui=no --without-x --disable-gpm \
-					--mandir=${prefix}/share/man
+configure.args	--enable-gui=no --without-x --disable-gpm \
+			--mandir=${prefix}/share/man
 
 extract.only	${name}-${vim_version}${extract.suffix}
 post-extract {
@@ -66,9 +97,9 @@
 
 variant aqua {
 	master_sites-append	http://www.douglas.stebila.ca/files/code/vim/app/:app_aqua \
-						http://www.douglas.stebila.ca/files/code/vim/doc/:doc_aqua
+					http://www.douglas.stebila.ca/files/code/vim/doc/:doc_aqua
 	distfiles-append	app-bm.tar.gz:app_aqua \
-						doc.tar.gz:doc_aqua
+					doc.tar.gz:doc_aqua
 	configure.args-delete	--enable-gui=no
 	configure.args-append	--enable-gui=carbon
 	post-extract {
@@ -76,7 +107,7 @@
 		system "gnutar xvfz ${distpath}/doc.tar.gz -C ${workpath}"
 	}
 	post-destroot {
-		set appPath /Applications/DarwinPorts
+		set appPath /Applications/MacPorts
 		xinstall -d -m 755 ${destroot}${appPath}
 		system "gnutar xvfz ${filespath}/GVim_app.tar.gz \
 			-C ${destroot}${appPath}"
Index: dports/editors/vim/patch_checksums
===================================================================
--- dports/editors/vim/patch_checksums	(revision 21780)
+++ dports/editors/vim/patch_checksums	(working copy)
@@ -87,4 +87,7 @@
                     7.0.185 sha1 9175100a1e373fe4bb9440d3c9d8241033a9f112 \
                     7.0.186 sha1 7518d112beebe0ff84d14f5e093d1ae7ffc2cbbb \
                     7.0.187 sha1 a99725a851948acc7ad6f4c4aa766f861114e9aa \
-                    7.0.188 sha1 5542c6d2501fbb1815211b86e2108591029fdfc5
+                    7.0.188 sha1 5542c6d2501fbb1815211b86e2108591029fdfc5 \
+                    7.0.189 sha1 3fb4d18319a2fdd5bfc887c736f49c763e2c9190 \
+                    7.0.190 sha1 1f0c8192dba5fffc636ee98300622d57af4f290e \
+                    7.0.191 sha1 015c677581ca49be4a3ce3a83b359710b99f9058