Index: dports/editors/vim/Portfile
===================================================================
--- dports/editors/vim/Portfile	(revision 21793)
+++ dports/editors/vim/Portfile	(working copy)
@@ -1,45 +1,77 @@
 # $Id$
-PortSystem		1.0
+PortSystem          1.0
 
-name			vim
-set vim_version		7.0
-set vim_patchlevel	188
-version			${vim_version}.${vim_patchlevel}
-categories		editors
-maintainers		mij@macports.org
-description		Vi "workalike" with many additional features
-long_description	Vim is a virtually compatible, extremely \
-					enhanced version of the vi editor.
-homepage		http://www.vim.org/
-platforms		darwin freebsd
+name                vim
+set vim_version	    7.0
+set vim_patchlevel  192
+version             ${vim_version}.${vim_patchlevel}
+categories          editors
+maintainers         mij@macports.org
+description         Vi "workalike" with many additional features
+long_description    Vim is a virtually compatible, extremely \
+                        enhanced version of the vi editor.
+homepage            http://www.vim.org/
+platforms           darwin freebsd
 
-distfiles		${name}-${vim_version}.tar.bz2:vim \
-			${name}-${vim_version}-extra.tar.gz:extra \
-			${name}-${vim_version}-lang.tar.gz:extra
+distfiles           ${name}-${vim_version}.tar.bz2:vim \
+                    ${name}-${vim_version}-extra.tar.gz:extra \
+                    ${name}-${vim_version}-lang.tar.gz:extra
 
-use_bzip2		yes
+use_bzip2           yes
 
-master_sites    ftp://ftp.vim.org/pub/vim/unix/:vim \
-                ftp://ftp.us.vim.org/pub/vim/unix/:vim \
-                ftp://ftp2.us.vim.org/pub/vim/unix/:vim \
-                ftp://ftp3.us.vim.org/pub/vim/unix/pub/mirrors/ftp.vim.org/vim/:vim \
-                ftp://ftp.is.co.za/applications/editors/vim/unix/:vim \
-                ftp://ftp.prz.tu-berlin.de/pub/unix/editors/vim/unix/:vim \
-                ftp://ftp.mirror.ac.uk/sites/ftp.vim.org/pub/vim/unix/:vim \
-                ftp://ftp.vim.org/pub/vim/extra/:extra\
-                ftp://ftp.us.vim.org/pub/vim/extra/:extra \
-                ftp://ftp2.us.vim.org/pub/vim/extra/:extra \
-                ftp://ftp3.us.vim.org/pub/vim/extra/pub/mirrors/ftp.vim.org/vim/:extra \
-                ftp://ftp.is.co.za/applications/editors/vim/extra/:extra \
-                ftp://ftp.prz.tu-berlin.de/pub/unix/editors/vim/extra/:extra \
-                ftp://ftp.mirror.ac.uk/sites/ftp.vim.org/pub/vim/extra/:extra
+master_sites        ftp://ftp.vim.org/pub/vim/unix/:vim \
+                    http://ftp.vim.org/pub/vim/unix/:vim \
+                    ftp://ftp.us.vim.org/pub/vim/unix/:vim \
+                    ftp://ftp2.us.vim.org/pub/vim/unix/:vim \
+                    ftp://ftp9.us.vim.org/pub/vim/unix/:vim \
+                    ftp://ftp.ca.vim.org/pub/vim/unix/:vim \
+                    ftp://ftp.nl.vim.org/pub/vim/unix/:vim \
+                    ftp://ftp2.nl.vim.org/pub/vim/unix/:vim \
+                    ftp://ftp3.nl.vim.org/pub/vim/unix/:vim \
+                    ftp://ftp3.de.vim.org/pub/vim/unix/:vim \
+                    ftp://ftp.uk.vim.org/pub/vim/unix/:vim \
+                    ftp://ftp.ie.vim.org/pub/vim/unix/:vim \
+                    ftp://miroir-francais.fr/pub/vim/unix/:vim \
+                    ftp://ftp.is.vim.org/pub/vim/unix/:vim \
+                    ftp://ftp.pl.vim.org/pub/vim/unix/:vim \
+                    ftp://ftp.ro.vim.org/pub/vim/unix/:vim \
+                    ftp://ftp.cz.vim.org/pub/vim/unix/:vim \
+                    ftp://ftp.sk.vim.org/pub/vim/unix/:vim \
+                    ftp://ftp.tw.vim.org/pub/Unix/Editors/Vim/unix/:vim \
+                    ftp://ftp2.tw.vim.org/pub/vim/unix/:vim \
+                    ftp://ftp.jp.vim.org/pub/vim/unix/:vim \
+                    ftp://ftp.kr.vim.org/pub/vim/unix/:vim \
+                    \
+                    ftp://ftp.vim.org/pub/vim/extra/:extra \
+                    http://ftp.vim.org/pub/vim/extra/:extra \
+                    ftp://ftp.us.vim.org/pub/vim/extra/:extra \
+                    ftp://ftp2.us.vim.org/pub/vim/extra/:extra \
+                    ftp://ftp9.us.vim.org/pub/vim/extra/:extra \
+                    ftp://ftp.ca.vim.org/pub/vim/extra/:extra \
+                    ftp://ftp.nl.vim.org/pub/vim/extra/:extra \
+                    ftp://ftp2.nl.vim.org/pub/vim/extra/:extra \
+                    ftp://ftp3.nl.vim.org/pub/vim/extra/:extra \
+                    ftp://ftp3.de.vim.org/pub/vim/extra/:extra \
+                    ftp://ftp.uk.vim.org/pub/vim/extra/:extra \
+                    ftp://ftp.ie.vim.org/pub/vim/extra/:extra \
+                    ftp://miroir-francais.fr/pub/vim/extra/:extra \
+                    ftp://ftp.is.vim.org/pub/vim/extra/:extra \
+                    ftp://ftp.pl.vim.org/pub/vim/extra/:extra \
+                    ftp://ftp.ro.vim.org/pub/vim/extra/:extra \
+                    ftp://ftp.cz.vim.org/pub/vim/extra/:extra \
+                    ftp://ftp.sk.vim.org/pub/vim/extra/:extra \
+                    ftp://ftp.tw.vim.org/pub/Unix/Editors/Vim/extra/:extra \
+                    ftp://ftp2.tw.vim.org/pub/vim/extra/:extra \
+                    ftp://ftp.jp.vim.org/pub/vim/extra/:extra \
+                    ftp://ftp.kr.vim.org/pub/vim/extra/:extra
 
-patch_sites     [strsed [strsed ${master_sites} g/unix/patches\/${vim_version}/] g/:vim//]
+patch_sites         [strsed [strsed ${master_sites} \
+                        g/unix/patches\/${vim_version}/] g/:vim//]
 
-patchfiles      patch-if_ruby.c
+patchfiles          patch-if_ruby.c
 
-dist_subdir		vim
-distname		vim[strsed ${vim_version} {g/[.]//}]
+dist_subdir         vim
+distname            vim[strsed ${vim_version} {g/[.]//}]
 
 eval {
     set low 1
@@ -55,63 +87,74 @@
     }
 }
 
-configure.args		--enable-gui=no --without-x --disable-gpm \
-					--mandir=${prefix}/share/man
-
-extract.only	${name}-${vim_version}${extract.suffix}
+depends_lib         port:gettext
+configure.args      --enable-gui=no --without-x --disable-gpm \
+                        --mandir=${prefix}/share/man
+configure.env       CPPFLAGS="-I${prefix}/include" LDFLAGS="-L${prefix}/lib"
+extract.only        ${name}-${vim_version}${extract.suffix}
 post-extract {
-	system "gnutar xvfz ${distpath}/${name}-${vim_version}-extra.tar.gz -C ${workpath}"
-	system "gnutar xvfz ${distpath}/${name}-${vim_version}-lang.tar.gz -C ${workpath}"
+    system "gnutar xvfz ${distpath}/${name}-${vim_version}-extra.tar.gz -C ${workpath}"
+    system "gnutar xvfz ${distpath}/${name}-${vim_version}-lang.tar.gz -C ${workpath}"
 }
 
 variant aqua {
-	master_sites-append	http://www.douglas.stebila.ca/files/code/vim/app/:app_aqua \
-						http://www.douglas.stebila.ca/files/code/vim/doc/:doc_aqua
-	distfiles-append	app-bm.tar.gz:app_aqua \
-						doc.tar.gz:doc_aqua
-	configure.args-delete	--enable-gui=no
-	configure.args-append	--enable-gui=carbon
-	post-extract {
-		system "gnutar xvfz ${distpath}/app-bm.tar.gz -C ${workpath}"
-		system "gnutar xvfz ${distpath}/doc.tar.gz -C ${workpath}"
-	}
-	post-destroot {
-		set appPath /Applications/DarwinPorts
-		xinstall -d -m 755 ${destroot}${appPath}
-		system "gnutar xvfz ${filespath}/GVim_app.tar.gz \
-			-C ${destroot}${appPath}"
-		xinstall -m 644 ${workpath}/app.icns \
-			${destroot}${appPath}/GVim.app/Contents/Resources/appIcon.icns
-		xinstall -d -m 755 ${destroot}${appPath}/Vim
-		system "rm -f ${worksrcpath}/src/Vim.app/Contents/Resources/vim/runtime"
-		system "cp -R ${worksrcpath}/runtime \
-			${worksrcpath}/src/Vim.app/Contents/Resources/vim"
-		system "cp -R ${worksrcpath}/src/Vim.app \
-			${destroot}${appPath}/Vim/Vim.app"
-		xinstall -m 644 ${filespath}/gvimrc \
-			${destroot}${appPath}/Vim/Vim.app/
-		xinstall -m 644 ${filespath}/vimrc \
-			${destroot}${appPath}/Vim/Vim.app/
-		xinstall -m 644 ${workpath}/doc-txt.icns \
-			${destroot}${appPath}/Vim/Vim.app/Contents/Resources/
-		xinstall -m 644 ${workpath}/app.icns \
-			${destroot}${appPath}/Vim/Vim.app/Contents/Resources/gui_mac.icns
-		system "ln -s -f ${appPath}/Vim/Vim.app/Contents/MacOS/Vim \
-			${destroot}/${prefix}/bin/vim"
-		xinstall -m 755 ${filespath}/gvim.sh ${destroot}/${prefix}/bin/gvim
-	}
+    master_sites-append     http://www.douglas.stebila.ca/files/code/vim/app/:app_aqua \
+                                http://www.douglas.stebila.ca/files/code/vim/doc/:doc_aqua
+    distfiles-append        app-bm.tar.gz:app_aqua \
+                                doc.tar.gz:doc_aqua
+    configure.args-delete   --enable-gui=no
+    configure.args-append   --enable-gui=carbon
+    post-extract {
+        system "gnutar xvfz ${distpath}/app-bm.tar.gz -C ${workpath}"
+        system "gnutar xvfz ${distpath}/doc.tar.gz -C ${workpath}"
+    }
+    post-destroot {
+        set appPath /Applications/DarwinPorts
+        xinstall -d -m 755 ${destroot}${appPath}
+        system "gnutar xvfz ${filespath}/GVim_app.tar.gz \
+            -C ${destroot}${appPath}"
+        xinstall -m 644 ${workpath}/app.icns \
+            ${destroot}${appPath}/GVim.app/Contents/Resources/appIcon.icns
+        xinstall -d -m 755 ${destroot}${appPath}/Vim
+        system "rm -f ${worksrcpath}/src/Vim.app/Contents/Resources/vim/runtime"
+        system "cp -R ${worksrcpath}/runtime \
+            ${worksrcpath}/src/Vim.app/Contents/Resources/vim"
+        system "cp -R ${worksrcpath}/src/Vim.app \
+            ${destroot}${appPath}/Vim/Vim.app"
+        xinstall -m 644 ${filespath}/gvimrc \
+            ${destroot}${appPath}/Vim/Vim.app/
+        xinstall -m 644 ${filespath}/vimrc \
+            ${destroot}${appPath}/Vim/Vim.app/
+        xinstall -m 644 ${workpath}/doc-txt.icns \
+            ${destroot}${appPath}/Vim/Vim.app/Contents/Resources/
+        xinstall -m 644 ${workpath}/app.icns \
+            ${destroot}${appPath}/Vim/Vim.app/Contents/Resources/gui_mac.icns
+        system "ln -s -f ${appPath}/Vim/Vim.app/Contents/MacOS/Vim \
+            ${destroot}/${prefix}/bin/vim"
+        xinstall -m 755 ${filespath}/gvim.sh ${destroot}/${prefix}/bin/gvim
+    }
 }
 
+variant athena {
+    configure.args-delete   --enable-gui=no --without-x
+    configure.args-append   --enable-gui=athena --with-x --disable-darwin
+    depends_lib-append      lib:libX11:XFree86
+}
 variant gtk1 {
-	configure.args-delete	--enable-gui=no --without-x
-	configure.args-append	--enable-gui=gtk --with-x --disable-darwin
-	depends_lib-append		lib:libgtk.1:gtk1
+    configure.args-delete   --enable-gui=no --without-x
+    configure.args-append   --enable-gui=gtk --with-x --disable-darwin
+    depends_lib-append      lib:libgtk.1:gtk1
 }
 variant gtk2 {
-	configure.args-delete	--enable-gui=no --without-x
-	configure.args-append	--enable-gui=gtk2 --with-x --disable-darwin
-	depends_lib-append		lib:libgtk.2:gtk2
+    configure.args-delete   --enable-gui=no --without-x
+    configure.args-append   --enable-gui=gtk2 --with-x --disable-darwin
+    depends_lib-append      lib:libgtk.2:gtk2
 }
+variant motif {
+    configure.args-delete   --enable-gui=no --without-x
+    configure.args-append   --enable-gui=motif --with-x --disable-darwin
+    depends_lib-append      lib:libXm:openmotif
+}
 #variant gnome {
 #	configure.args-delete	--enable-gui=no --without-x
 #	configure.args-append	--enable-gui=gnome --with-x --disable-darwin
@@ -122,43 +165,34 @@
 #	configure.args-append	--enable-gui=gnome2 --with-x --disable-darwin
 # What for depends?
 #}
-variant motif {
-	configure.args-delete	--enable-gui=no --without-x
-	configure.args-append	--enable-gui=motif --with-x --disable-darwin
-	depends_lib-append		lib:libXm:openmotif
+
+variant tiny        { configure.args-append --with-features=tiny }
+variant small       { configure.args-append --with-features=small }
+variant big         { configure.args-append --with-features=big }
+variant huge        { configure.args-append --with-features=huge }
+variant multibyte   { configure.args-append --enable-multibyte }
+variant ncurses     { configure.args-append --with-tlib=ncurses }
+variant xim         { configure.args-append --with-xim }
+
+variant perl {
+    configure.args-append   --enable-perlinterp
+    depends_lib-append      bin:perl:perl5.8
 }
-variant athena {
-	configure.args-delete	--enable-gui=no --without-x
-	configure.args-append	--enable-gui=athena --with-x --disable-darwin
-	depends_lib-append		lib:libX11:XFree86
+variant python {
+    configure.args-append   --enable-pythoninterp
+    depends_lib-append      bin:python:python23
 }
-variant xim			{ configure.args-append --with-xim }
-variant tiny		{ configure.args-append	--with-features=tiny }
-variant small		{ configure.args-append	--with-features=small }
-variant big			{ configure.args-append	--with-features=big }
-variant huge		{ configure.args-append	--with-features=huge }
-variant multibyte	{ configure.args-append	--enable-multibyte }
-variant ncurses		{ configure.args-append --with-tlib=ncurses }
-
 variant ruby {
 	configure.args-append	--enable-rubyinterp
 	depends_lib-append		bin:ruby:ruby
 }
 variant tcl {
-	configure.args-append	--enable-tclinterp
-	depends_lib-append		bin:tclsh:tcl
+    configure.args-append   --enable-tclinterp
+    depends_lib-append      bin:tclsh:tcl
 }
-variant perl {
-	configure.args-append	--enable-perlinterp
-	depends_lib-append		bin:perl:perl5.8
-}
-variant python {
-	configure.args-append	--enable-pythoninterp
-	depends_lib-append		bin:python:python23
-}
 
 variant darwin x86 {
-	configure.args-append	--disable-darwin
+    configure.args-append   --disable-darwin
 }
 
 include dist_checksums
Index: dports/editors/vim/patch_checksums
===================================================================
--- dports/editors/vim/patch_checksums	(revision 21793)
+++ dports/editors/vim/patch_checksums	(working copy)
@@ -87,4 +87,8 @@
                     7.0.185 sha1 9175100a1e373fe4bb9440d3c9d8241033a9f112 \
                     7.0.186 sha1 7518d112beebe0ff84d14f5e093d1ae7ffc2cbbb \
                     7.0.187 sha1 a99725a851948acc7ad6f4c4aa766f861114e9aa \
-                    7.0.188 sha1 5542c6d2501fbb1815211b86e2108591029fdfc5
+                    7.0.188 sha1 5542c6d2501fbb1815211b86e2108591029fdfc5 \
+                    7.0.189 sha1 3fb4d18319a2fdd5bfc887c736f49c763e2c9190 \
+                    7.0.190 sha1 1f0c8192dba5fffc636ee98300622d57af4f290e \
+                    7.0.191 sha1 015c677581ca49be4a3ce3a83b359710b99f9058 \
+                    7.0.192 sha1 d2cff2aa0bd8d5068f2b209cae46760944738411