Index: www/links/Portfile
===================================================================
--- www/links/Portfile	(revision 21747)
+++ www/links/Portfile	(working copy)
@@ -17,7 +17,7 @@
 checksums	md5 841af2540c789e254b8465e07e24c684 \
 			sha1 b0e2095dc4013f9fae2837af998f91edc6a565a6 \
 			rmd160 8e7bbe0f8bb7d71d341405f524ebfb1c144b442b
-maintainers	landonf@opendarwin.org blb@opendarwin.org
+maintainers	landonf@opendarwin.org blb@macports.org
 use_bzip2	yes
 
 configure.args	--enable-javascript --without-ssl --without-svgalib \
Index: math/ent/Portfile
===================================================================
--- math/ent/Portfile	(revision 21747)
+++ math/ent/Portfile	(working copy)
@@ -5,7 +5,7 @@
 version				19981020
 revision			2
 categories			math security
-maintainers			blb@opendarwin.org
+maintainers			blb@macports.org
 description			Entropy calculator
 long_description \
 	ent applies various tests to sequences of bytes stored in files and \
Index: games/cannonsmash/Portfile
===================================================================
--- games/cannonsmash/Portfile	(revision 21747)
+++ games/cannonsmash/Portfile	(working copy)
@@ -5,7 +5,7 @@
 version				0.6.6
 revision			1
 categories			games
-maintainers			blb@opendarwin.org
+maintainers			blb@macports.org
 description			3D tabletennis game
 long_description	${description}
 
Index: devel/lzo/Portfile
===================================================================
--- devel/lzo/Portfile	(revision 21747)
+++ devel/lzo/Portfile	(working copy)
@@ -4,7 +4,7 @@
 name			lzo
 version			1.08
 categories		devel compression
-maintainers		blb@opendarwin.org
+maintainers		blb@macports.org
 description		Real-time data compression library
 long_description \
 	LZO is a portable lossless data compression library written in ANSI C. \
Index: sysutils/lzop/Portfile
===================================================================
--- sysutils/lzop/Portfile	(revision 21747)
+++ sysutils/lzop/Portfile	(working copy)
@@ -4,7 +4,7 @@
 name			lzop
 version			1.01
 categories		sysutils compression
-maintainers		blb@opendarwin.org
+maintainers		blb@macports.org
 description		File compressor very similar to gzip which favors speed over \
 	 compression ratio.
 long_description	${description}
Index: sysutils/maxwell/Portfile
===================================================================
--- sysutils/maxwell/Portfile	(revision 21747)
+++ sysutils/maxwell/Portfile	(working copy)
@@ -4,7 +4,7 @@
 name				maxwell
 version				0.5.1
 categories			sysutils
-maintainers			blb@opendarwin.org
+maintainers			blb@macports.org
 description			Mac OS X SMART disk monitoring/reporting tool
 long_description \
 	Maxwell is a disk monitoring and reporting tool for Mac OS X.  It uses \
Index: net/nslint/Portfile
===================================================================
--- net/nslint/Portfile	(revision 21747)
+++ net/nslint/Portfile	(working copy)
@@ -4,7 +4,7 @@
 name			nslint
 version			2.1a3
 categories		net
-maintainers		blb@opendarwin.org
+maintainers		blb@macports.org
 description		Lint program for dns files
 
 long_description	${description}
Index: net/cidr/Portfile
===================================================================
--- net/cidr/Portfile	(revision 21747)
+++ net/cidr/Portfile	(working copy)
@@ -4,7 +4,7 @@
 name		cidr
 version		2.3.2
 categories	net
-maintainers	blb@opendarwin.org
+maintainers	blb@macports.org
 description	RFC 1878 subnet helper
 long_description \
 cidr is a utility for determining the network address and broadcast \
Index: net/dnstracer/Portfile
===================================================================
--- net/dnstracer/Portfile	(revision 21747)
+++ net/dnstracer/Portfile	(working copy)
@@ -4,7 +4,7 @@
 name				dnstracer
 version				1.8
 categories			net sysutils
-maintainers			blb@opendarwin.org
+maintainers			blb@macports.org
 description			trace a chain of DNS servers to the source
 long_description \
 	dnstracer determines where a given Domain Name Server (DNS) gets its \
Index: emulators/freesci/Portfile
===================================================================
--- emulators/freesci/Portfile	(revision 21747)
+++ emulators/freesci/Portfile	(working copy)
@@ -4,7 +4,7 @@
 name				freesci
 version				0.3.4c
 categories			emulators
-maintainers			blb@opendarwin.org
+maintainers			blb@macports.org
 description			Interpreter for SCI (old Sierra Online) games
 long_description \
 	FreeSCI is a portable interpreter for SCI games, such as the Space \