diff -ur dports-mecab-0.93/perl/p5-mecab/Portfile dports-mecab-0.94/perl/p5-mecab/Portfile
--- dports-mecab-0.93/perl/p5-mecab/Portfile	2007-02-25 08:04:56.000000000 +0900
+++ dports-mecab-0.94/perl/p5-mecab/Portfile	2007-02-25 08:05:00.000000000 +0900
@@ -2,22 +2,19 @@
 
 PortSystem      1.0
 PortGroup       perl5 1.0
-perl5.setup     MeCab 0.92
+perl5.setup     MeCab 0.94
 
 platforms       darwin
 maintainers     rsky0711@gmail.com
 description     a Perl module for MeCab
 long_description ${description}
 
-homepage        http://mecab.sourceforge.jp/
-set sfj         20919
-master_sites    http://osdn.dl.sourceforge.jp/mecab/${sfj}/ \
-                http://keihanna.dl.sourceforge.jp/mecab/${sfj}/ \
-                http://qgpop.dl.sourceforge.jp/mecab/${sfj}/
+homepage        http://mecab.sourceforge.net/
+master_sites    sourceforge:mecab
 distname        mecab-perl-${version}
-checksums       md5    6a066597bb3edbcd8a34931fa00f52bd \
-                sha1   51cad405b9cebba30e0c6d0084126886c5986eaf \
-                rmd160 2e8381c4cea23e9d3332dacb4cf6e6673941e508
+checksums       md5    029492b66d6535e871c395da8bd81851 \
+                sha1   a269fa0beaf6c5484470760f72a279100934d786 \
+                rmd160 e838ed75e046c7b0291ee0f12e0c716998f91ceb
 
 categories-append   textproc japanese
 depends_lib-append  port:mecab
diff -ur dports-mecab-0.93/python/py-mecab/Portfile dports-mecab-0.94/python/py-mecab/Portfile
--- dports-mecab-0.93/python/py-mecab/Portfile	2007-02-25 08:04:56.000000000 +0900
+++ dports-mecab-0.94/python/py-mecab/Portfile	2007-02-25 08:05:00.000000000 +0900
@@ -3,22 +3,19 @@
 PortSystem      1.0
 PortGroup       python24 1.0
 name            py-mecab
-version         0.92
+version         0.94
 
 platforms       darwin
 maintainers     rsky0711@gmail.com
 description     a Python module for MeCab
 long_description ${description}
 
-homepage        http://mecab.sourceforge.jp/
-set sfj         20921
-master_sites    http://osdn.dl.sourceforge.jp/mecab/${sfj}/ \
-                http://keihanna.dl.sourceforge.jp/mecab/${sfj}/ \
-                http://qgpop.dl.sourceforge.jp/mecab/${sfj}/
+homepage        http://mecab.sourceforge.net/
+master_sites    sourceforge:mecab
 distname        mecab-python-${version}
-checksums       md5    6e4364f65e12138a25481b8cd945ccb8 \
-                sha1   bab73b6bfc842e615856090a8fcbd7206fcd2dc4 \
-                rmd160 72f6362d9be56f1ffa42847de0b15cf57338cd11
+checksums       md5    a94903704f4ecc2b10adcd5e7e4f8799 \
+                sha1   2958f27fabc332896220d3cec065fd0812e02561 \
+                rmd160 97cc1cd1cc886feca4629d1d0d0e45a449feffcd
 
 patchfiles      patch-test.py
 patch.pre_args  -p0
diff -ur dports-mecab-0.93/ruby/rb-mecab/Portfile dports-mecab-0.94/ruby/rb-mecab/Portfile
--- dports-mecab-0.93/ruby/rb-mecab/Portfile	2007-02-25 08:04:56.000000000 +0900
+++ dports-mecab-0.94/ruby/rb-mecab/Portfile	2007-02-25 08:05:00.000000000 +0900
@@ -3,22 +3,19 @@
 PortSystem      1.0
 PortGroup       ruby 1.0
 
-ruby.setup      MeCab 0.92 extconf.rb {}
+ruby.setup      MeCab 0.94 extconf.rb {}
 
 platforms       darwin
 maintainers     rsky0711@gmail.com
 description     a Ruby module for MeCab
 long_description ${description}
 
-homepage        http://mecab.sourceforge.jp/
-set sfj         20920
-master_sites    http://osdn.dl.sourceforge.jp/mecab/${sfj}/ \
-                http://keihanna.dl.sourceforge.jp/mecab/${sfj}/ \
-                http://qgpop.dl.sourceforge.jp/mecab/${sfj}/
+homepage        http://mecab.sourceforge.net/
+master_sites    sourceforge:mecab
 distname        mecab-ruby-${version}
-checksums       md5    a39d34da7a55444c7e8c5e5fcbcc527e \
-                sha1   5ad35d667380e93eba3b1822d899dfd5e40e5ae9 \
-                rmd160 2b804e24ff5118fd5d99f2c3e1a0d488ab025777
+checksums       md5    9b3892840139b1e1ee892af4e04b2bf0 \
+                sha1   3bcfd20750029a7177092159045c9161aa9ef5c3 \
+                rmd160 5911ddc5c13d571e0f5eca1cbb057bb8edc8216f
 
 categories-append   textproc japanese
 depends_lib-append  port:mecab
diff -ur dports-mecab-0.93/textproc/mecab/Portfile dports-mecab-0.94/textproc/mecab/Portfile
--- dports-mecab-0.93/textproc/mecab/Portfile	2007-02-25 08:04:56.000000000 +0900
+++ dports-mecab-0.94/textproc/mecab/Portfile	2007-02-25 08:05:00.000000000 +0900
@@ -2,34 +2,27 @@
 
 PortSystem      1.0
 name            mecab
-version         0.93
+version         0.94
 categories      textproc japanese
 maintainers     rsky0711@gmail.com
 platforms       darwin
 description     MeCab is a yet another part-of-speech and morphological analyzer.
 long_description ${description}
-homepage        http://mecab.sourceforge.jp/
+homepage        http://mecab.sourceforge.net/
 
-set sfj         21187
-set sfj_dic     20904
 set dic_name    mecab-ipadic
 set dic_version 2.7.0-20060707
 set dictionary  ${dic_name}-${dic_version}
 set charset     euc-jp
 
-distfiles-append ${dictionary}${extract.suffix}:ipadic
+distfiles-append ${dictionary}${extract.suffix}
 
-master_sites    http://osdn.dl.sourceforge.jp/mecab/${sfj}/ \
-                http://keihanna.dl.sourceforge.jp/mecab/${sfj}/ \
-                http://qgpop.dl.sourceforge.jp/mecab/${sfj}/ \
-                http://osdn.dl.sourceforge.jp/mecab/${sfj_dic}/:ipadic \
-                http://keihanna.dl.sourceforge.jp/mecab/${sfj_dic}/:ipadic \
-                http://qgpop.dl.sourceforge.jp/mecab/${sfj_dic}/:ipadic
+master_sites    sourceforge:mecab
 checksums \
         ${distname}${extract.suffix} \
-                md5    93ee80c5ea101c798e3954b19bd0088d \
-                sha1   aa2f1701dda9358b48acc01f230444fe251835d6 \
-                rmd160 ac55ce22fe3c1b90311043e505d6b6e1a2ee19f0 \
+                md5    ffb1352e35fe6bdf55c2377a1898eff2 \
+                sha1   2c8bf13fa92b2fb33b7b396255b8b4930ff1d31e \
+                rmd160 f49bcb6e41d2ff47e2e698a438fc927c2d304da2 \
         ${dictionary}${extract.suffix} \
                 md5    45b9f822700ad4eceb6722d6edcc2a46 \
                 sha1   373be900f9be22957636acc54f120fea013f8818 \
diff -ur dports-mecab-0.93/textproc/mecab/files/patch-configure.diff dports-mecab-0.94/textproc/mecab/files/patch-configure.diff
--- dports-mecab-0.93/textproc/mecab/files/patch-configure.diff	2007-01-26 12:33:32.000000000 +0900
+++ dports-mecab-0.94/textproc/mecab/files/patch-configure.diff	2007-02-25 08:03:25.000000000 +0900
@@ -1,11 +1,11 @@
---- configure.orig	Mon Jul 10 14:31:58 2006
-+++ configure	Tue Jul 18 06:55:29 2006
-@@ -23882,7 +23882,7 @@
+--- configure.orig	2007-02-24 18:27:13.000000000 +0900
++++ configure	2007-02-25 06:37:10.000000000 +0900
+@@ -25441,7 +25441,7 @@
    echo "$as_me: failed program was:" >&5
  sed 's/^/| /' conftest.$ac_ext >&5
  
--ac_cv_lib_iconv_iconv_open=no
-+ac_cv_lib_iconv_iconv_open=yes
+-	ac_cv_lib_iconv_iconv_open=no
++	ac_cv_lib_iconv_iconv_open=yes
  fi
- rm -f conftest.err conftest.$ac_objext \
-       conftest$ac_exeext conftest.$ac_ext
+ 
+ rm -f core conftest.err conftest.$ac_objext \
diff -ur dports-mecab-0.93/textproc/mecab-ipadic-eucjp/Portfile dports-mecab-0.94/textproc/mecab-ipadic-eucjp/Portfile
--- dports-mecab-0.93/textproc/mecab-ipadic-eucjp/Portfile	2007-02-25 08:04:56.000000000 +0900
+++ dports-mecab-0.94/textproc/mecab-ipadic-eucjp/Portfile	2007-02-25 08:05:00.000000000 +0900
@@ -8,15 +8,12 @@
 platforms       darwin
 description     Alternate dictionary for MeCab (ipadic/euc-jp)
 long_description ${description}
-homepage        http://mecab.sourceforge.jp/
+homepage        http://mecab.sourceforge.net/
 dist_subdir     mecab
 distfiles       mecab-ipadic-${version}${extract.suffix}
 worksrcdir      mecab-ipadic-${version}
 set dicdir      ipadic-eucjp
-set sfj         20904
-master_sites    http://osdn.dl.sourceforge.jp/mecab/${sfj}/ \
-                http://keihanna.dl.sourceforge.jp/mecab/${sfj}/ \
-                http://qgpop.dl.sourceforge.jp/mecab/${sfj}/
+master_sites    sourceforge:mecab
 checksums       md5    45b9f822700ad4eceb6722d6edcc2a46 \
                 sha1   373be900f9be22957636acc54f120fea013f8818 \
                 rmd160 cf2f7ad97e50cae6d0a9e9f13bc9328aeab33304
diff -ur dports-mecab-0.93/textproc/mecab-ipadic-sjis/Portfile dports-mecab-0.94/textproc/mecab-ipadic-sjis/Portfile
--- dports-mecab-0.93/textproc/mecab-ipadic-sjis/Portfile	2007-02-25 08:04:56.000000000 +0900
+++ dports-mecab-0.94/textproc/mecab-ipadic-sjis/Portfile	2007-02-25 08:05:00.000000000 +0900
@@ -8,15 +8,12 @@
 platforms       darwin
 description     Alternate dictionary for MeCab (ipadic/shift_jis)
 long_description ${description}
-homepage        http://mecab.sourceforge.jp/
+homepage        http://mecab.sourceforge.net/
 dist_subdir     mecab
 distfiles       mecab-ipadic-${version}${extract.suffix}
 worksrcdir      mecab-ipadic-${version}
 set dicdir      ipadic-sjis
-set sfj         20904
-master_sites    http://osdn.dl.sourceforge.jp/mecab/${sfj}/ \
-                http://keihanna.dl.sourceforge.jp/mecab/${sfj}/ \
-                http://qgpop.dl.sourceforge.jp/mecab/${sfj}/
+master_sites    sourceforge:mecab
 checksums       md5    45b9f822700ad4eceb6722d6edcc2a46 \
                 sha1   373be900f9be22957636acc54f120fea013f8818 \
                 rmd160 cf2f7ad97e50cae6d0a9e9f13bc9328aeab33304
diff -ur dports-mecab-0.93/textproc/mecab-ipadic-utf8/Portfile dports-mecab-0.94/textproc/mecab-ipadic-utf8/Portfile
--- dports-mecab-0.93/textproc/mecab-ipadic-utf8/Portfile	2007-02-25 08:04:56.000000000 +0900
+++ dports-mecab-0.94/textproc/mecab-ipadic-utf8/Portfile	2007-02-25 08:05:00.000000000 +0900
@@ -9,15 +9,12 @@
 platforms       darwin
 description     Alternate dictionary for MeCab (ipadic/utf8)
 long_description ${description}
-homepage        http://mecab.sourceforge.jp/
+homepage        http://mecab.sourceforge.net/
 dist_subdir     mecab
 distfiles       mecab-ipadic-${version}${extract.suffix}
 worksrcdir      mecab-ipadic-${version}
 set dicdir      ipadic-utf8
-set sfj         20904
-master_sites    http://osdn.dl.sourceforge.jp/mecab/${sfj}/ \
-                http://keihanna.dl.sourceforge.jp/mecab/${sfj}/ \
-                http://qgpop.dl.sourceforge.jp/mecab/${sfj}/
+master_sites    sourceforge:mecab
 checksums       md5    45b9f822700ad4eceb6722d6edcc2a46 \
                 sha1   373be900f9be22957636acc54f120fea013f8818 \
                 rmd160 cf2f7ad97e50cae6d0a9e9f13bc9328aeab33304
diff -ur dports-mecab-0.93/textproc/mecab-jumandic-eucjp/Portfile dports-mecab-0.94/textproc/mecab-jumandic-eucjp/Portfile
--- dports-mecab-0.93/textproc/mecab-jumandic-eucjp/Portfile	2007-02-25 08:04:56.000000000 +0900
+++ dports-mecab-0.94/textproc/mecab-jumandic-eucjp/Portfile	2007-02-25 08:05:00.000000000 +0900
@@ -8,15 +8,12 @@
 platforms       darwin
 description     Alternate dictionary for MeCab (jumandic/euc-jp)
 long_description ${description}
-homepage        http://mecab.sourceforge.jp/
+homepage        http://mecab.sourceforge.net/
 dist_subdir     mecab
 distfiles       mecab-jumandic-${version}${extract.suffix}
 worksrcdir      mecab-jumandic-${version}
 set dicdir      jumandic-eucjp
-set sfj         18372
-master_sites    http://osdn.dl.sourceforge.jp/mecab/${sfj}/ \
-                http://keihanna.dl.sourceforge.jp/mecab/${sfj}/ \
-                http://qgpop.dl.sourceforge.jp/mecab/${sfj}/
+master_sites    sourceforge:mecab
 checksums       md5 2f72e6f3b928df1b1d53ee5c888457b4 \
                 sha1 054ea89be2d12f8b1775c7ed3249602b887a3e1a \
                 rmd160 81b23ff35a81fd2368cdc9d6ef14247300582163
diff -ur dports-mecab-0.93/textproc/mecab-jumandic-sjis/Portfile dports-mecab-0.94/textproc/mecab-jumandic-sjis/Portfile
--- dports-mecab-0.93/textproc/mecab-jumandic-sjis/Portfile	2007-02-25 08:04:56.000000000 +0900
+++ dports-mecab-0.94/textproc/mecab-jumandic-sjis/Portfile	2007-02-25 08:05:00.000000000 +0900
@@ -8,15 +8,12 @@
 platforms       darwin
 description     Alternate dictionary for MeCab (jumandic/shift_jis)
 long_description ${description}
-homepage        http://mecab.sourceforge.jp/
+homepage        http://mecab.sourceforge.net/
 dist_subdir     mecab
 distfiles       mecab-jumandic-${version}${extract.suffix}
 worksrcdir      mecab-jumandic-${version}
 set dicdir      jumandic-sjis
-set sfj         18372
-master_sites    http://osdn.dl.sourceforge.jp/mecab/${sfj}/ \
-                http://keihanna.dl.sourceforge.jp/mecab/${sfj}/ \
-                http://qgpop.dl.sourceforge.jp/mecab/${sfj}/
+master_sites    sourceforge:mecab
 checksums       md5 2f72e6f3b928df1b1d53ee5c888457b4 \
                 sha1 054ea89be2d12f8b1775c7ed3249602b887a3e1a \
                 rmd160 81b23ff35a81fd2368cdc9d6ef14247300582163
diff -ur dports-mecab-0.93/textproc/mecab-jumandic-utf8/Portfile dports-mecab-0.94/textproc/mecab-jumandic-utf8/Portfile
--- dports-mecab-0.93/textproc/mecab-jumandic-utf8/Portfile	2007-02-25 08:04:56.000000000 +0900
+++ dports-mecab-0.94/textproc/mecab-jumandic-utf8/Portfile	2007-02-25 08:05:00.000000000 +0900
@@ -9,15 +9,12 @@
 platforms       darwin
 description     Alternate dictionary for MeCab (jumandic/utf8)
 long_description ${description}
-homepage        http://mecab.sourceforge.jp/
+homepage        http://mecab.sourceforge.net/
 dist_subdir     mecab
 distfiles       mecab-jumandic-${version}${extract.suffix}
 worksrcdir      mecab-jumandic-${version}
 set dicdir      jumandic-utf8
-set sfj         18372
-master_sites    http://osdn.dl.sourceforge.jp/mecab/${sfj}/ \
-                http://keihanna.dl.sourceforge.jp/mecab/${sfj}/ \
-                http://qgpop.dl.sourceforge.jp/mecab/${sfj}/
+master_sites    sourceforge:mecab
 checksums       md5 2f72e6f3b928df1b1d53ee5c888457b4 \
                 sha1 054ea89be2d12f8b1775c7ed3249602b887a3e1a \
                 rmd160 81b23ff35a81fd2368cdc9d6ef14247300582163