--- portmgr/dmg/ReadMe.rtf	2007-02-26 21:12:48.000000000 -0800
+++ /Users/mduling/Desktop/ReadMe.rtf	2007-02-25 17:43:15.000000000 -0800
@@ -1,50 +1,63 @@
-{\rtf1\mac\ansicpg10000\cocoartf102
+{\rtf1\mac\ansicpg10000\cocoartf824\cocoasubrtf420
 {\fonttbl\f0\fswiss\fcharset77 Helvetica;\f1\fswiss\fcharset77 Helvetica-Bold;\f2\fswiss\fcharset77 Helvetica-Oblique;
 \f3\fswiss\fcharset77 Helvetica-BoldOblique;}
 {\colortbl;\red255\green255\blue255;}
-\margl1440\margr1440\vieww14840\viewh12400\viewkind0
+\margl1440\margr1440\vieww15040\viewh14060\viewkind0
 \pard\tx720\tx1440\tx2160\tx2880\tx3600\tx4320\tx5040\tx5760\tx6480\tx7200\tx7920\tx8640\ql\qnatural
 
 \f0\fs24 \cf0 \
 
-\f1\b What is DarwinPorts?
+\f1\b What is MacPorts?
 \f0\b0 \
 \
-DarwinPorts provides an infrastructure for open source software building, installing, and packaging.  It is designed to match the same functionality as the FreeBSD Ports system while providing extensibility for future enhancements.\
+MacPorts provides an infrastructure for building, installing, and packaging open source software.  It is designed to match the functionality of the FreeBSD Ports system and to be extensible for future enhancements.\
 \
 
 \f1\b \
 System Requirements:
 \f0\b0 \
 \
-This disk image is built for Mac OS X __XVERS__.x (Darwin __DVERS__.x) and requires valid TCL, curl and OpenSSL installations to function - all present by default within Mac OS X. Also required is the installation of Apple's XCode (available as a separate install from your OS X CDs or DVD, or from Apple's Developer site: {\field{\*\fldinst{HYPERLINK "http://developer.apple.com/"}}{\fldrslt http://developer.apple.com/}}).\
+This disk image is built for Mac OS X __XVERS__.x (Darwin __DVERS__.x) and requires valid TCL, curl and OpenSSL installations to function - all present by default within Mac OS X. Also required is the installation of Apple's XCode (available as a separate install from your OS X CDs or DVD, or preferably the latest version from Apple's Developer site: {\field{\*\fldinst{HYPERLINK "http://developer.apple.com/"}}{\fldrslt http://developer.apple.com/}}).\
+\
 \
 
-\f1\b \
-Usage:
+\f1\b Shell Environment Requirements:
 \f0\b0 \
 \
-1) Access Darwinports by launching "Port Authority", located in your "DarwinPorts" folder located in your Applications folder (or available at the following URL: {\field{\*\fldinst{HYPERLINK "http://www.wordtech-software.com/dpgui.html"}}{\fldrslt http://www.wordtech-software.com/dpgui.html}}\
+A file named ~./profile is created during the binary file install of MacPorts.  It contains the path statements to append the MacPorts' binary paths to your environment within /opt/local/ so MacPorts will be available to you for subsequent terminal sessions. You may have to quit and restart your terminal application for this change to take effect.\
+\
 \
 
-\f2\i or
-\f0\i0 \
+\f1\b Install Location:\
+
+\f0\b0 \
+When MacPorts is installed using the .dmg file binary, the install location for MacPorts is /opt/local/. If you wish to install to a path other than /opt/local, you must install MacPorts by using the source code.  See {\field{\*\fldinst{HYPERLINK "http://trac.macosforge.org/projects/macports/wiki/InstallingMacPorts"}}{\fldrslt Installing MacPorts}} on the MacPorts Wiki for instructions.\
 \
-2) Access the 
+\
+
+\f1\b Usage:\
+
+\f0\b0 \
+1) Access the MacPorts' 
 \f2\i port
-\f0\i0  command via the command line. The default install location for port is /opt/local/bin. If needed, your path will be automatically modified to include this location during the installation so that DarwinPorts is available to you within subsequent terminal sessions. You may have to quit and restart your terminal application for this change to take effect.\
+\f0\i0  command via the command line.\
 \
+
+\f2\i or
+\f0\i0 \
+\
+2) Access MacPorts by purchasing the {\field{\*\fldinst{HYPERLINK "http://www.codebykevin.com/portauthority.html"}}{\fldrslt Port Authority}} GUI application.\
 \
 * DISCLAIMER: The 
 \f2\i Port Authority
-\f0\i0  application is not officially supported by the DarwinPorts project. \
+\f0\i0  application is not supported by the MacPorts project. \
 \
 
 \f1\b \
 What is Installed:\
 
 \f0\b0 \
-DarwinPorts will be installed in "/opt/local/var/db/dports".  Within these directories you should find a "sources" directory, which is kept up-to-date through the 
+Aside from a few MacPorts executable commands in /opt/local/bin, most MacPorts files are installed in "/opt/local/var/db/dports".  Within these directories you will find a "sources" directory, which is kept up-to-date through the 
 \f2\i sync
 \f0\i0  and 
 \f2\i selfupdate
@@ -57,7 +70,7 @@
 Documentation:\
 
 \f0\b0 \
-The "DarwinPorts User Guide" is available at {\field{\*\fldinst{HYPERLINK "http://www.darwinports.org/docs/"}}{\fldrslt http://www.darwinports.org/docs/}}. Also provided are man pages for 
+The MacPorts Wiki is available at: {\field{\*\fldinst{HYPERLINK "http://trac.macosforge.org/projects/macports/wiki/"}}{\fldrslt http://trac.macosforge.org/projects/macports/wiki/}} and should be consulted for further documentation and support. Also provided are man pages for 
 \f2\i port
 \f0\i0 , 
 \f2\i ports.conf
@@ -71,10 +84,6 @@
 \f2\i porthier
 \f0\i0 . These can be invoked by typing: "man" followed by the name of the command or file (e.g. "man port" or "man ports.conf").\
 \
-\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\ql\qnatural
-\cf0 For further assistance, please consult help section of our website: {\field{\*\fldinst{HYPERLINK "http://www.darwinports.org/help/"}}{\fldrslt http://www.darwinports.org/help/}}\
-\pard\tx720\tx1440\tx2160\tx2880\tx3600\tx4320\tx5040\tx5760\tx6480\tx7200\tx7920\tx8640\ql\qnatural
-\cf0 \
 
 \f1\b \
 Using the 
@@ -82,7 +91,15 @@
 \f1\i0  Command
 \f0\b0 \
 \
-    The following terminal command will allow an administrator to build and install a port:\
+The first thing you should do after install is to update MacPorts to the latest point release and download the latest ports as the Unix superuser.\
+\
+\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\ql\qnatural
+\cf0 	
+\f2\i sudo port selfupdate 
+\f0\i0 \
+\pard\tx720\tx1440\tx2160\tx2880\tx3600\tx4320\tx5040\tx5760\tx6480\tx7200\tx7920\tx8640\ql\qnatural
+\cf0 \
+This terminal command builds and installs a port as the Unix superuser:\
 \pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\ql\qnatural
 \cf0 \
 	
@@ -90,18 +107,16 @@
 \f0\i0 \
 \pard\tx720\tx1440\tx2160\tx2880\tx3600\tx4320\tx5040\tx5760\tx6480\tx7200\tx7920\tx8640\ql\qnatural
 \cf0 \
-    To find a specific port:\
+To find a specific port:\
 \pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\ql\qnatural
 \cf0 \
 	
 \f2\i port search <portname>
 \f0\i0 \
 \
-(where <portname> is the port you wish to install or search for, respectively)\
-\pard\tx720\tx1440\tx2160\tx2880\tx3600\tx4320\tx5040\tx5760\tx6480\tx7200\tx7920\tx8640\ql\qnatural
-\cf0 \
-\pard\tx560\tx1120\tx1680\tx2240\tx2800\tx3360\tx3920\tx4480\tx5040\tx5600\tx6160\tx6720\ql\qnatural
-\cf0 Please consult the port(1) man page for complete documentation of this command.\
+where <portname> is the port you wish to install or for which you are searching.  You may use partial port names for searching.\
+\
+Please consult the port(1) man page for complete documentation of this command.\
 \pard\tx720\tx1440\tx2160\tx2880\tx3600\tx4320\tx5040\tx5760\tx6480\tx7200\tx7920\tx8640\ql\qnatural
 \cf0 \
 \
@@ -109,10 +124,10 @@
 \f1\b Creating New Ports:\
 \
 
-\f0\b0 If you are interested in developing your own ports for private usage, or would like to submit your ports for inclusion within the DarwinPorts software repository, please consult the documentation provided on our website. DarwinPorts depends on a community of active participants, we would welcome your contributions!\
+\f0\b0 If you are interested in developing your own ports for private usage, or would like to submit your ports for inclusion within the MacPorts software repository, please consult the documentation provided on our website. MacPorts depends on a community of active participants, and we welcome your contributions!\
 
 \f1\b \
 
 \f0\b0 \
-Thank you for your interest in DarwinPorts!\
+Thank you for your interest in MacPorts!\
 }
\ No newline at end of file