Index: files/patch-tools_Makefile.in
===================================================================
--- files/patch-tools_Makefile.in	(revision 22911)
+++ files/patch-tools_Makefile.in	(working copy)
@@ -1,12 +0,0 @@
---- tools/Makefile.in.orig	2005-12-20 02:49:35.000000000 -0700
-+++ tools/Makefile.in	2006-03-22 02:10:44.000000000 -0700
-@@ -406,7 +406,8 @@
- gpg_connect_agent_SOURCES = gpg-connect-agent.c no-libgcrypt.c
- gpg_connect_agent_LDADD = ../jnlib/libjnlib.a \
-                           ../common/libcommon.a ../gl/libgnu.a \
--                          $(LIBASSUAN_LIBS) $(GPG_ERROR_LIBS) $(LIBINTL)
-+                          $(LIBASSUAN_LIBS) $(GPG_ERROR_LIBS) $(LIBINTL) \
-+                          $(PTH_LIBS)
- 
- gpgkey2ssh_SOURCES = gpgkey2ssh.c
- gpgkey2ssh_CFLAGS = $(LIBGCRYPT_CFLAGS) $(GPG_ERROR_CFLAGS)
Index: files/patch-g10_Makefile.in
===================================================================
--- files/patch-g10_Makefile.in	(revision 22911)
+++ files/patch-g10_Makefile.in	(working copy)
@@ -1,11 +0,0 @@
---- g10/Makefile.in.orig	2005-12-20 02:49:33.000000000 -0700
-+++ g10/Makefile.in	2006-03-22 02:09:45.000000000 -0700
-@@ -446,7 +446,7 @@
- #	       ks-db.c \
- #	       ks-db.h \
- #	       $(common_source)
--LDADD = $(needed_libs) @LIBINTL@ @CAPLIBS@ @W32LIBS@
-+LDADD = $(needed_libs) @PTH_LIBS@ @LIBINTL@ @CAPLIBS@ @W32LIBS@
- gpg2_LDADD = $(LIBGCRYPT_LIBS) $(LDADD) -lassuan -lgpg-error
- gpgv2_LDADD = $(LIBGCRYPT_LIBS) $(LDADD) -lassuan -lgpg-error
- all: all-am
Index: files/patch-tools_gpgparsemail.c
===================================================================
--- files/patch-tools_gpgparsemail.c	(revision 22911)
+++ files/patch-tools_gpgparsemail.c	(working copy)
@@ -1,18 +0,0 @@
---- tools/gpgparsemail.c.orig	2005-12-14 03:45:28.000000000 -0700
-+++ tools/gpgparsemail.c	2006-03-22 14:29:47.000000000 -0700
-@@ -145,6 +145,7 @@
-   return p;
- }
- 
-+#if 0
- static char *
- stpcpy (char *a,const char *b)
- {
-@@ -154,6 +155,7 @@
-   
-   return (char*)a;
- }
-+#endif
- 
- 
- static int
Index: files/patch-configure
===================================================================
--- files/patch-configure	(revision 0)
+++ files/patch-configure	(revision 0)
@@ -0,0 +1,11 @@
+--- configure	2007-01-31 14:09:31.000000000 +0000
++++ configure.new	2007-02-16 14:06:34.000000000 +0000
+@@ -557,7 +557,7 @@
+ SHELL=${CONFIG_SHELL-/bin/sh}
+ 
+ # Identity of this package.
+-PACKAGE_NAME='gnupg'
++PACKAGE_NAME='gnupg2'
+ PACKAGE_TARNAME='gnupg'
+ PACKAGE_VERSION='2.0.2'
+ PACKAGE_STRING='gnupg 2.0.2'
Index: Portfile
===================================================================
--- Portfile	(revision 22911)
+++ Portfile	(working copy)
@@ -2,7 +2,7 @@
 
 PortSystem	1.0
 name		gnupg2
-version		1.9.20
+version		2.0.3
 categories	mail security
 maintainers	waqar@macports.org
 description	GNU pretty-good-privacy package
@@ -13,23 +13,19 @@
 	compliant application.
 homepage	http://www.gnupg.org
 platforms	darwin freebsd sunos
-distname        gnupg-${version}
-master_sites    http://mirrors.rootmode.com/ftp.gnupg.org/alpha/gnupg/ \
-                ftp://ftp.freenet.de/pub/ftp.gnupg.org/gcrypt/alpha/gnupg/ \
-                ftp://ftp.gnupg.org/gcrypt/alpha/gnupg/
+use_bzip2   yes
+distname    gnupg-${version}
+master_sites    http://mirrors.rootmode.com/ftp.gnupg.org/gnupg/ \
+                ftp://ftp.freenet.de/pub/ftp.gnupg.org/gcrypt/gnupg/ \
+                ftp://ftp.gnupg.org/gcrypt/gnupg/ 
 
 use_bzip2	yes
-checksums	${distfiles} md5 93899203fc0530f03e146d49b65c1e28
+checksums   md5 4e33a5d35583da439f1bd26aa7e7042a \
+            sha1 4680bcb96873191b331252ae40b35e39589c58ca \
+            rmd160 bedd74d6c3a93cf6fbe719a2749ba658fa102cca
 
 configure.env	CPPFLAGS="-I${prefix}/include" LDFLAGS="-L${prefix}/lib"
-configure.args	--mandir=${prefix}/share/man 		\
-		--infodir=${prefix}/share/info 		\
-		--disable-asm --disable-dynload 	\
-		--enable-gpg --disable-agent		\
-		--with-libiconv-prefix=${prefix} 	\
-		--with-libintl-prefix=${prefix} 	\
-		--with-zlib=${prefix} 			\
-		--with-bzip2=${prefix}
+configure.args	--disable-agent
 
 depends_lib	port:libiconv 		\
 		port:gettext 		\
@@ -42,13 +38,13 @@
 		port:libgpg-error	\
 		port:pth
 
-patchfiles	patch-g10_Makefile.in patch-tools_Makefile.in
+patchfiles	patch-configure
 
 test.run	yes
-test.dir	${worksrcpath}/checks
+test.dir	${worksrcpath}/tests
 test.target 	check
 
-variant darwin {
+platform darwin {
 	configure.env-append	MACOSX_DEPLOYMENT_TARGET=10.3
 	build.env-append		MACOSX_DEPLOYMENT_TARGET=10.3
 }
@@ -57,18 +53,3 @@
 	configure.env-delete	LDFLAGS="-L${prefix}/lib"
 	configure.env-append	LDFLAGS="-L${prefix}/lib -framework IOKit"
 }
-
-platform darwin 8 {
-	patchfiles-append	patch-tools_gpgparsemail.c
-}
-
-platform sunos	{
-	configure.args-delete --disable-asm --disable-dynload
-}
-
-post-destroot	{
-	file delete -force ${destroot}${prefix}/share/info/dir \
-		${destroot}${prefix}/share/locale/locale.alias \
-		${destroot}${prefix}/lib/charset.alias
-}
-