Index: python/py-mecab/Portfile
===================================================================
--- python/py-mecab/Portfile	(revision 221)
+++ python/py-mecab/Portfile	(working copy)
@@ -3,7 +3,7 @@
 PortSystem      1.0
 PortGroup       python24 1.0
 name            py-mecab
-version         0.94
+version         0.95
 
 platforms       darwin
 maintainers     rsky0711@gmail.com
@@ -13,9 +13,9 @@
 homepage        http://mecab.sourceforge.net/
 master_sites    sourceforge:mecab
 distname        mecab-python-${version}
-checksums       md5    b0bdbb9f017b2df87417fe50dc767c30 \
-                sha1   2fc13f685b9913da456f5404eacca15e6a4b2af1 \
-                rmd160 1aaa9948dce283212b43328ec83603b5949a3f00
+checksums       md5    8edf73b56d19b4caa8a80c4c7642e661 \
+                sha1   3b3b3daafecf76fc21650b1321a842941a179385 \
+                rmd160 f1755dd951dbacdfe605876a6cdb87c928d53537
 
 patchfiles      patch-test.py
 patch.pre_args  -p0
Index: ruby/rb-mecab/Portfile
===================================================================
--- ruby/rb-mecab/Portfile	(revision 221)
+++ ruby/rb-mecab/Portfile	(working copy)
@@ -3,7 +3,7 @@
 PortSystem      1.0
 PortGroup       ruby 1.0
 
-ruby.setup      MeCab 0.94 extconf.rb {}
+ruby.setup      MeCab 0.95 extconf.rb {}
 
 platforms       darwin
 maintainers     rsky0711@gmail.com
@@ -13,9 +13,9 @@
 homepage        http://mecab.sourceforge.net/
 master_sites    sourceforge:mecab
 distname        mecab-ruby-${version}
-checksums       md5    6c2c27237781af426790ed4d034d2c8b \
-                sha1   85eaa962ce18c7755cfc892bd0c1f6b4dab4e9e5 \
-                rmd160 3a21561190928e8d9b853469b56590d7f7c597df
+checksums       md5    33c5ea430d0a21868b170b2d09991d14 \
+                sha1   bf6f25bc8e2b614b219ff913cd18f9bb1f70e05b \
+                rmd160 32437307471e3ee3583dc253691f83ba24ef8957
 
 categories-append   textproc japanese
 depends_lib-append  port:mecab
Index: perl/p5-mecab/Portfile
===================================================================
--- perl/p5-mecab/Portfile	(revision 221)
+++ perl/p5-mecab/Portfile	(working copy)
@@ -2,7 +2,7 @@
 
 PortSystem      1.0
 PortGroup       perl5 1.0
-perl5.setup     MeCab 0.94
+perl5.setup     MeCab 0.95
 
 platforms       darwin
 maintainers     rsky0711@gmail.com
@@ -12,9 +12,9 @@
 homepage        http://mecab.sourceforge.net/
 master_sites    sourceforge:mecab
 distname        mecab-perl-${version}
-checksums       md5    095997b938b028087950835ce882693f \
-                sha1   b6de0bed0e528a23d130ec443a9b28ec880fd39b \
-                rmd160 1975e25d3816983d8d89b9ec5bfb6abf7cf0c77a
+checksums       md5    b924751bf58d7d6c4f3b6b5bbe8e1640 \
+                sha1   95f37327d46b341d9ccafd04eb25cc2094b71109 \
+                rmd160 0d1319e0d9f590214474fcd68f69a5e4993fa8ad
 
 categories-append   textproc japanese
 depends_lib-append  port:mecab
Index: textproc/mecab-jumandic-eucjp/Portfile
===================================================================
--- textproc/mecab-jumandic-eucjp/Portfile	(revision 221)
+++ textproc/mecab-jumandic-eucjp/Portfile	(working copy)
@@ -2,7 +2,7 @@
 
 PortSystem      1.0
 name            mecab-jumandic-eucjp
-version         5.1-20051121
+version         5.1-20070304
 categories      textproc japanese
 maintainers     rsky0711@gmail.com
 platforms       darwin
@@ -14,9 +14,9 @@
 worksrcdir      mecab-jumandic-${version}
 set dicdir      jumandic-eucjp
 master_sites    sourceforge:mecab
-checksums       md5 2f72e6f3b928df1b1d53ee5c888457b4 \
-                sha1 054ea89be2d12f8b1775c7ed3249602b887a3e1a \
-                rmd160 81b23ff35a81fd2368cdc9d6ef14247300582163
+checksums       md5    803da9a299712ef68316911a9c7d865e \
+                sha1   0672cb267b8fde6268a69d57add7ab1544e62154 \
+                rmd160 b062285c01b81f497f2f0d9a968917142c269825
 
 depends_build   bin:perl:perl5.8
 depends_lib     port:mecab
Index: textproc/mecab-jumandic-utf8/Portfile
===================================================================
--- textproc/mecab-jumandic-utf8/Portfile	(revision 221)
+++ textproc/mecab-jumandic-utf8/Portfile	(working copy)
@@ -2,8 +2,7 @@
 
 PortSystem      1.0
 name            mecab-jumandic-utf8
-version         5.1-20051121
-revision        1
+version         5.1-20070304
 categories      textproc japanese
 maintainers     rsky0711@gmail.com
 platforms       darwin
@@ -15,9 +14,9 @@
 worksrcdir      mecab-jumandic-${version}
 set dicdir      jumandic-utf8
 master_sites    sourceforge:mecab
-checksums       md5 2f72e6f3b928df1b1d53ee5c888457b4 \
-                sha1 054ea89be2d12f8b1775c7ed3249602b887a3e1a \
-                rmd160 81b23ff35a81fd2368cdc9d6ef14247300582163
+checksums       md5    803da9a299712ef68316911a9c7d865e \
+                sha1   0672cb267b8fde6268a69d57add7ab1544e62154 \
+                rmd160 b062285c01b81f497f2f0d9a968917142c269825
 
 depends_build   bin:perl:perl5.8
 depends_lib     port:mecab
Index: textproc/mecab-jumandic-sjis/Portfile
===================================================================
--- textproc/mecab-jumandic-sjis/Portfile	(revision 221)
+++ textproc/mecab-jumandic-sjis/Portfile	(working copy)
@@ -2,7 +2,7 @@
 
 PortSystem      1.0
 name            mecab-jumandic-sjis
-version         5.1-20051121
+version         5.1-20070304
 categories      textproc japanese
 maintainers     rsky0711@gmail.com
 platforms       darwin
@@ -14,9 +14,9 @@
 worksrcdir      mecab-jumandic-${version}
 set dicdir      jumandic-sjis
 master_sites    sourceforge:mecab
-checksums       md5 2f72e6f3b928df1b1d53ee5c888457b4 \
-                sha1 054ea89be2d12f8b1775c7ed3249602b887a3e1a \
-                rmd160 81b23ff35a81fd2368cdc9d6ef14247300582163
+checksums       md5    803da9a299712ef68316911a9c7d865e \
+                sha1   0672cb267b8fde6268a69d57add7ab1544e62154 \
+                rmd160 b062285c01b81f497f2f0d9a968917142c269825
 
 depends_build   bin:perl:perl5.8
 depends_lib     port:mecab
Index: textproc/mecab/Portfile
===================================================================
--- textproc/mecab/Portfile	(revision 221)
+++ textproc/mecab/Portfile	(working copy)
@@ -2,7 +2,7 @@
 
 PortSystem      1.0
 name            mecab
-version         0.94
+version         0.95
 categories      textproc japanese
 maintainers     rsky0711@gmail.com
 platforms       darwin
@@ -20,9 +20,9 @@
 master_sites    sourceforge:mecab
 checksums \
         ${distname}${extract.suffix} \
-                md5    ffb1352e35fe6bdf55c2377a1898eff2 \
-                sha1   2c8bf13fa92b2fb33b7b396255b8b4930ff1d31e \
-                rmd160 f49bcb6e41d2ff47e2e698a438fc927c2d304da2 \
+                md5    043418ea1a36b4d4720d2711ba7c0e36 \
+                sha1   676af69b652393e3fdbb58ddf99b9aae13a87c4a \
+                rmd160 bd8393ddae802fc98a999dd68f25564e8317f5c0 \
         ${dictionary}${extract.suffix} \
                 md5    45b9f822700ad4eceb6722d6edcc2a46 \
                 sha1   373be900f9be22957636acc54f120fea013f8818 \