Index: files/patch-Mac-OSX-Makefile
===================================================================
--- files/patch-Mac-OSX-Makefile	(Revision 24550)
+++ files/patch-Mac-OSX-Makefile	(Arbeitskopie)
@@ -1,13 +0,0 @@
---- Mac/OSX/Makefile	Mon Apr  4 16:01:42 2005
-+++ Mac/OSX/Makefile.new	Mon Apr  4 16:02:02 2005
-@@ -17,8 +17,8 @@
- endif
- 
- # These are normally glimpsed from the previous set
--bindir=/usr/local/bin
--PYTHONAPPSPATH=/Applications/MacPython-$(VERSION)
-+bindir=__PREFIX__/bin
-+PYTHONAPPSPATH=/Applications/MacPorts/MacPython
- PYTHONAPPSDIR=$(PYTHONAPPSPATH)
- APPINSTALLDIR=$(prefix)/Resources/Python.app
- 
Index: files/patch-Mac-OSX-IDLE-Makefile.in
===================================================================
--- files/patch-Mac-OSX-IDLE-Makefile.in	(Revision 0)
+++ files/patch-Mac-OSX-IDLE-Makefile.in	(Revision 0)
@@ -0,0 +1,11 @@
+--- Mac/OSX/IDLE/Makefile.in.orig	2006-10-08 10:41:25.000000000 -0700
++++ Mac/OSX/IDLE/Makefile.in	2007-04-27 13:27:07.000000000 -0700
+@@ -21,7 +21,7 @@
+ 
+ BUNDLEBULDER=$(srcdir)/../../../Lib/plat-mac/bundlebuilder.py
+ 
+-PYTHONAPPSDIR=/Applications/MacPython $(VERSION)
++PYTHONAPPSDIR=/Applications/Macports/MacPython $(VERSION)
+ 
+ all: IDLE.app
+ 
Index: files/patch-Makefile.pre.in
===================================================================
--- files/patch-Makefile.pre.in	(Revision 24550)
+++ files/patch-Makefile.pre.in	(Arbeitskopie)
@@ -1,5 +1,5 @@
---- Makefile.pre.in	2005-03-29 01:23:01.000000000 +0200
-+++ Makefile.pre.in	2006-01-29 12:55:03.000000000 +0100
+--- Makefile.pre.in.orig	2006-10-08 10:41:25.000000000 -0700
++++ Makefile.pre.in	2007-04-20 18:06:11.000000000 -0700
 @@ -56,7 +56,7 @@
  OPT=		@OPT@
  BASECFLAGS=	@BASECFLAGS@
@@ -9,7 +9,7 @@
  LDFLAGS=	@LDFLAGS@
  LDLAST=		@LDLAST@
  SGI_ABI=	@SGI_ABI@
-@@ -305,7 +305,7 @@
+@@ -309,7 +309,7 @@
  # Rules
  
  # Default target
@@ -18,9 +18,9 @@
  
  # Build the interpreter
  $(BUILDPYTHON):	Modules/$(MAINOBJ) $(LIBRARY) $(LDLIBRARY)
-@@ -360,6 +360,10 @@
+@@ -364,6 +364,10 @@
  libpython$(VERSION).sl: $(LIBRARY_OBJS)
- 	$(LDSHARED) -o $@ $(LIBRARY_OBJS) $(LIBC) $(LIBM)
+ 	$(LDSHARED) -o $@ $(LIBRARY_OBJS) $(SHLIBS) $(LIBC) $(LIBM)
  
 +libpython$(VERSION).dylib: $(LIBRARY_OBJS)
 +	$(LINKCC) -dynamiclib -install_name $(LIBDIR)/$@ -current_version $(VERSION) -compatibility_version $(VERSION) -o $@ -flat_namespace -undefined suppress $(LIBRARY_OBJS) $(SHLIBS) $(LIBC) $(LIBM)
@@ -29,7 +29,7 @@
  # This rule is here for OPENSTEP/Rhapsody/MacOSX. It builds a temporary
  # minimal framework (not including the Lib directory and such) in the current
  # directory.
-@@ -625,7 +629,12 @@
+@@ -655,7 +659,12 @@
  				(cd $(DESTDIR)$(LIBDIR); $(LN) -sf $(INSTSONAME) libpython$(VERSION)$(SO)); \
  			fi \
  		fi; \
@@ -43,3 +43,4 @@
  	fi
  
  # Install the manual page
+ 
Index: files/patch-Mac-OSX-Makefile.in
===================================================================
--- files/patch-Mac-OSX-Makefile.in	(Revision 0)
+++ files/patch-Mac-OSX-Makefile.in	(Revision 0)
@@ -0,0 +1,20 @@
+--- Mac/OSX/Makefile.in.orig	2006-10-08 10:41:25.000000000 -0700
++++ Mac/OSX/Makefile.in	2007-04-27 11:07:02.000000000 -0700
+@@ -5,7 +5,7 @@
+ VERSION=@VERSION@
+ builddir = ../..
+ srcdir = @srcdir@
+-prefix=/Library/Frameworks/Python.framework/Versions/$(VERSION)
++prefix=__PREFIX__/Library/Frameworks/Python.framework/Versions/$(VERSION)
+ LIBDEST=$(prefix)/lib/python$(VERSION)
+ BUILDPYTHON=$(builddir)/python.exe
+ RUNSHARED=       @RUNSHARED@
+@@ -16,7 +16,7 @@
+ 
+ # These are normally glimpsed from the previous set
+ bindir=@exec_prefix@/bin
+-PYTHONAPPSPATH=/Applications/MacPython $(VERSION)
++PYTHONAPPSPATH=/Applications/Macports/MacPython $(VERSION)
+ PYTHONAPPSDIR=$(PYTHONAPPSPATH)
+ APPINSTALLDIR=$(prefix)/Resources/Python.app
+ 
Index: files/patch-Mac-OSX-PythonLauncher-Makefile.in
===================================================================
--- files/patch-Mac-OSX-PythonLauncher-Makefile.in	(Revision 0)
+++ files/patch-Mac-OSX-PythonLauncher-Makefile.in	(Revision 0)
@@ -0,0 +1,11 @@
+--- Mac/OSX/PythonLauncher/Makefile.in.orig	2006-10-08 10:41:25.000000000 -0700
++++ Mac/OSX/PythonLauncher/Makefile.in	2007-04-27 13:33:26.000000000 -0700
+@@ -20,7 +20,7 @@
+ 
+ BUNDLEBULDER=$(srcdir)/../../../Lib/plat-mac/bundlebuilder.py
+ 
+-PYTHONAPPSDIR=/Applications/MacPython $(VERSION)
++PYTHONAPPSDIR=/Applications/Macports/MacPython $(VERSION)
+ OBJECTS=FileSettings.o MyAppDelegate.o MyDocument.o PreferencesWindowController.o doscript.o main.o
+ 
+ all: PythonLauncher.app
Index: files/patch-Lib-plat-mac-applesingle.py
===================================================================
--- files/patch-Lib-plat-mac-applesingle.py	(Revision 24550)
+++ files/patch-Lib-plat-mac-applesingle.py	(Arbeitskopie)
@@ -1,19 +0,0 @@
---- Lib/plat-mac/applesingle.py	2004-07-18 02:14:45.000000000 -0400
-+++ Lib/plat-mac/applesingle.py	2006-03-29 19:48:18.000000000 -0500
-@@ -25,14 +25,14 @@
-     pass
- 
- # File header format: magic, version, unused, number of entries
--AS_HEADER_FORMAT="LL16sh"
-+AS_HEADER_FORMAT=">LL16sh"
- AS_HEADER_LENGTH=26
- # The flag words for AppleSingle
- AS_MAGIC=0x00051600
- AS_VERSION=0x00020000
- 
- # Entry header format: id, offset, length
--AS_ENTRY_FORMAT="lll"
-+AS_ENTRY_FORMAT=">lll"
- AS_ENTRY_LENGTH=12
- 
- # The id values
Index: files/patch-configure
===================================================================
--- files/patch-configure	(Revision 24550)
+++ files/patch-configure	(Arbeitskopie)
@@ -1,20 +1,20 @@
---- work/Python-2.4.2/configure	2005-08-07 23:08:42.000000000 +0200
-+++ configure	2005-12-11 01:27:37.000000000 +0100
-@@ -3828,7 +3828,12 @@
+--- configure.orig	2007-04-05 21:32:57.000000000 -0700
++++ configure	2007-04-05 21:32:59.000000000 -0700
+@@ -3907,7 +3907,12 @@
  	    ;;
  	# is there any other compiler on Darwin besides gcc?
  	Darwin*)
 -	    BASECFLAGS="$BASECFLAGS -Wno-long-double -no-cpp-precomp -mno-fused-madd"
-+		if [[ `/usr/bin/arch` = 'ppc' ]]
-+		then
-+			BASECFLAGS="$BASECFLAGS -Wno-long-double -no-cpp-precomp -mno-fused-madd -fno-common"
-+		else
-+			BASECFLAGS="$BASECFLAGS -Wno-long-double -no-cpp-precomp -fno-common"
-+		fi
- 	    ;;
-     esac
-     ;;
-@@ -10230,7 +10235,7 @@
++	    if [[ `/usr/bin/arch` = 'ppc' ]]
++        then
++          BASECFLAGS="$BASECFLAGS -Wno-long-double -no-cpp-precomp -mno-fused-madd -fno-common"
++        else
++          BASECFLAGS="$BASECFLAGS -Wno-long-double -no-cpp-precomp -fno-common"
++        fi
+ 	    if test "${enable_universalsdk}"; then
+ 		BASECFLAGS="-arch ppc -arch i386 -isysroot ${UNIVERSALSDK} ${BASECFLAGS}"
+ 	    fi
+@@ -10328,7 +10333,7 @@
          else
              LIBTOOL_CRUFT=""
      fi
@@ -23,7 +23,7 @@
      LIBTOOL_CRUFT=$LIBTOOL_CRUFT' -install_name $(PYTHONFRAMEWORKINSTALLDIR)/Versions/$(VERSION)/$(PYTHONFRAMEWORK)'
      LIBTOOL_CRUFT=$LIBTOOL_CRUFT' -compatibility_version $(VERSION) -current_version $(VERSION)';;
  esac
-@@ -10364,8 +10369,8 @@
+@@ -10472,8 +10477,8 @@
  				LDSHARED="$LDSHARED "'$(PYTHONFRAMEWORKPREFIX)/$(PYTHONFRAMEWORKDIR)/Versions/$(VERSION)/$(PYTHONFRAMEWORK)'
  			else
  				# No framework, use the Python app as bundle-loader
Index: Portfile
===================================================================
--- Portfile	(Revision 24550)
+++ Portfile	(Arbeitskopie)
@@ -2,91 +2,94 @@
 
 PortSystem 1.0
 
-name			python24
-version			2.4.3
-revision		1
-set major_version	2
-set minor_version	4
-categories		lang
-platforms		darwin
-maintainers		mww@macports.org
-description		An interpreted, object-oriented programming language
-long_description	Python is an interpreted, interactive, object-oriented \
-					programming language.
+name            python24
+version         2.4.4
+set major_version   2
+set minor_version   4
+categories      lang
+platforms       darwin
+maintainers     mww@macports.org
+description     An interpreted, object-oriented programming language
+long_description    Python is an interpreted, interactive, object-oriented \
+                    programming language.
 
-homepage		http://www.python.org/
-master_sites	${homepage}/ftp/python/2.4.3/ \
-				ftp://ftp.python.org/pub/python/2.4.3/
-distname		Python-${version}
-checksums		md5 141c683447d5e76be1d2bd4829574f02
-patchfiles		patch-Makefile.pre.in \
-				patch-configure \
-				patch-Lib-site.py \
-				patch-Mac-OSX-Makefile \
-				patch-setup.py \
-				patch-Include-pyport.h \
-				patch-Lib-plat-mac-applesingle.py
+homepage        http://www.python.org/
+master_sites    ${homepage}/ftp/python/${version}/ \
+                ftp://ftp.python.org/pub/python/${version}/
+distname        Python-${version}
+checksums       md5 0ba90c79175c017101100ebf5978e906
+patchfiles      patch-configure \
+                patch-Makefile.pre.in \
+                patch-Lib-site.py \
+                patch-setup.py \
+                patch-Include-pyport.h \
+                patch-Mac-OSX-Makefile.in \
+                patch-Mac-OSX-IDLE-Makefile.in \
+                patch-Mac-OSX-PythonLauncher-Makefile.in
 
-use_bzip2		yes
+use_bzip2       yes
 
+configure.args  --enable-shared \
+                --mandir=${prefix}/share/man \
+                --bindir=${prefix}/bin \
+                --libdir=${prefix}/lib \
+                --without-readline \
+                --enable-framework=${prefix}/Library/Frameworks \
+                --disable-tk \
+                --enable-ipv6
+
 post-patch {
-	cd ${worksrcpath}
-	reinplace "s|__PREFIX__|${prefix}|g" Lib/site.py Mac/OSX/Makefile
+    cd ${worksrcpath}
+    reinplace "s|__PREFIX__|${prefix}|g" Lib/site.py
+    reinplace "s|__PREFIX__|${prefix}|g" Mac/OSX/Makefile.in
 }
 
-configure.args	--enable-shared \
-				--mandir=${prefix}/share/man \
-				--bindir=${prefix}/bin \
-				--libdir=${prefix}/lib \
-				--without-readline \
-				--enable-framework=${prefix}/Library/Frameworks \
-				--enable-ipv6 \
-				--disable-tk
-post-configure {
-	cd ${worksrcpath}
-	reinplace "s|^LIBDIR=.*|LIBDIR=${prefix}/lib|g" Makefile
-	reinplace "s|^INCLUDEDIR=.*|INCLUDEDIR=${prefix}/include|g" Makefile
-	reinplace "s|^CONFINCLUDEDIR=.*|CONFINCLUDEDIR=${prefix}/include|g" Makefile
-}
+test.run        yes
+test.target     test
 
-test.run		yes
-test.target		test
-
-destroot.target	frameworkinstall maninstall
+destroot.target frameworkinstall maninstall
 post-destroot {
-	if { ![variant_isset puredarwin]} {
-		set framewdir ${prefix}/Library/Frameworks/Python.framework/
-		xinstall -m 755 -d ${destroot}${framewdir}/Versions/2.4/include
-		system "cd ${destroot}${framewdir} \
-			&& ln -s Versions/Current/lib Libraries"
-		system "ln -sf ${prefix}/include/python2.4 ${destroot}${framewdir}/Versions/2.4/include/python2.4"
-		system "cd ${destroot}${prefix}/bin \
-			&& ln -sf ${framewdir}/Versions/2.4/bin/pydoc pydoc \
-			&& ln -sf ${framewdir}/Versions/2.4/bin/pydoc pydoc24"
-		system "cd ${destroot}${framewdir}/Versions/2.4/lib/python2.4 \
-			&& ln -s ${prefix}/lib/python2.4/config config"
+    if { ![variant_isset puredarwin]} {
+        set framewdir ${prefix}/Library/Frameworks/Python.framework
+        xinstall -m 755 -d ${destroot}${framewdir}/Versions/2.4/include
+        system "cd ${destroot}${framewdir} \
+            && ln -s Versions/Current/lib Libraries"
+        system "ln -sf ${prefix}/include/python2.4 ${destroot}${framewdir}/Versions/2.4/include/python2.4"
+        system "cd ${destroot}${prefix}/bin \
+            && ln -sf ${framewdir}/Versions/2.4/bin/pydoc pydoc \
+            && ln -sf ${framewdir}/Versions/2.4/bin/pydoc pydoc24"
+        system "cd ${destroot}${framewdir}/Versions/2.4/lib/python2.4 \
+            && ln -s ${prefix}/lib/python2.4/config config"
+    	system "cd ${destroot}${prefix}/lib && \
+        ln -s ${framewdir}/Versions/2.4/lib/libpython${major_version}.${minor_version}.dylib \
+            libpython${version}.dylib && \
+        ln -s ${framewdir}/Versions/2.4/lib/libpython${major_version}.${minor_version}.dylib \
+            libpython${major_version}.dylib && \
+        ln -s ${framewdir}/Versions/2.4/lib/libpython${major_version}.${minor_version}.dylib \
+            libpython.dylib"
+	} else {
+	    system "cd ${destroot}${prefix}/lib && \
+        ln -s libpython${major_version}.${minor_version}.dylib \
+            libpython${version}.dylib && \
+        ln -s libpython${major_version}.${minor_version}.dylib \
+            libpython${major_version}.dylib && \
+        ln -s libpython${major_version}.${minor_version}.dylib \
+            libpython.dylib"
 	}
-	system "cd ${destroot}${prefix}/lib && \
-		ln -s libpython${major_version}.${minor_version}.dylib \
-			libpython${version}.dylib && \
-		ln -s libpython${major_version}.${minor_version}.dylib \
-			libpython${major_version}.dylib && \
-		ln -s libpython${major_version}.${minor_version}.dylib \
-			libpython.dylib"
 }
 
 platform puredarwin {
-	configure.args-delete	--enable-framework=${prefix}/Library/Frameworks
-	configure.args-append	--disable-toolbox-glue --disable-framework
-	destroot.target		install maninstall
+    configure.args-delete   --enable-framework=${prefix}/Library/Frameworks
+    configure.args-append   --disable-toolbox-glue --disable-framework
+    destroot.target     install maninstall
 }
 
 platform darwin 8 {
-	configure.env CC=/usr/bin/gcc-4.0 CPP=/usr/bin/cpp-4.0 CXX=/usr/bin/g++-4.0
-	configure.args-append --with-cxx=/usr/bin/g++-4.0
+    configure.env CC=/usr/bin/gcc-4.0 CPP=/usr/bin/cpp-4.0 CXX=/usr/bin/g++-4.0
+    configure.args-append --with-cxx=/usr/bin/g++-4.0
 }
 
-livecheck.check	regex
-livecheck.url	http://www.python.org/download/releases/
-livecheck.regex	Python (2.4.\[0-9\]+)
+livecheck.check regex
+livecheck.url   http://www.python.org/download/releases/
+livecheck.regex Python (2.4.\[0-9\]+)
 