Index: Portfile
===================================================================
--- Portfile	(revision 25085)
+++ Portfile	(working copy)
@@ -3,10 +3,9 @@
 
 name                vim-app
 set realname        vim
-set vim_version     7.0
-set vim_patchlevel  224
+set vim_version     7.1b
+set vim_patchlevel  001
 version             ${vim_version}.${vim_patchlevel}
-revision            0
 categories          editors
 maintainers         raimue@codingfarm.de
 description         Vim.app is a GUI version of the famous editor vim.
@@ -15,69 +14,40 @@
 homepage            http://www.vim.org/
 platforms           darwin freebsd
 
-distfiles           ${realname}-${vim_version}.tar.bz2:vim \
-                      ${realname}-${vim_version}-extra.tar.gz:extra \
-                      ${realname}-${vim_version}-lang.tar.gz:extra \
-                      app-bm.tar.gz:app_aqua \
-                      doc.tar.gz:doc_aqua
-
 use_bzip2           yes
 
-set serverList {
-                    ftp://ftp.vim.org/pub/vim/ \
-                      http://ftp.vim.org/pub/vim/ \
-                      ftp://ftp.us.vim.org/pub/vim/ \
-                      ftp://ftp.ca.vim.org/pub/vim/ \
-                      ftp://ftp.nl.vim.org/pub/vim/ \
-                      ftp://ftp.uk.vim.org/pub/vim/ \
-                      ftp://ftp.ie.vim.org/pub/vim/ \
-                      ftp://ftp.is.vim.org/pub/vim/ \
-                      ftp://ftp.pl.vim.org/pub/vim/ \
-                      ftp://ftp.ro.vim.org/pub/vim/ \
-                      ftp://ftp.cz.vim.org/pub/vim/ \
-                      ftp://ftp.sk.vim.org/pub/vim/ \
-                      ftp://ftp.jp.vim.org/pub/vim/ \
-                      ftp://ftp.kr.vim.org/pub/vim/ \
-                      ftp://ftp2.us.vim.org/pub/vim/ \
-                      ftp://ftp9.us.vim.org/pub/vim/ \
-                      ftp://ftp2.nl.vim.org/pub/vim/ \
-                      ftp://ftp3.nl.vim.org/pub/vim/ \
-                      ftp://ftp3.de.vim.org/pub/vim/ \
-                      ftp://ftp2.tw.vim.org/pub/vim/ \
-                      ftp://miroir-francais.fr/pub/vim/ \
-                      ftp://ftp.tw.vim.org/pub/Unix/Editors/Vim/
-}
+distfiles \
+    ${realname}-${vim_version}${extract.suffix}:vim \
+    ${realname}-${vim_version}-extra.tar.gz:extra \
+    ${realname}-${vim_version}-lang.tar.gz:extra \
+    app-bm.tar.gz:app_aqua \
+    doc.tar.gz:doc_aqua
 
-# create list of locations for source, extras, patches from serverList
-foreach server ${serverList} {
-    lappend master_sites ${server}unix/:vim
-    lappend master_sites ${server}extra/:extra
-    lappend patch_sites ${server}patches/${vim_version}
-}
+checksums \
+  ${realname}-${vim_version}${extract.suffix} \
+    md5 5a178fdac6fc21c943ae56fd1dc74a92 \
+    sha1 ce81757c2a8ee025557c3c72b593b0d990959d66 \
+    rmd160 88202bbbe8e463398096fd2b068432eaa6f4b9a2 \
+  ${realname}-${vim_version}-extra.tar.gz \
+    md5 59239ccce6d8151610f1020c2d08f415 \
+    sha1 5795c874aa31998d630743ddeb5fee5d388c659e \
+    rmd160 b3b824bc9d47597d86578731614916436221cdb8 \
+  ${realname}-${vim_version}-lang.tar.gz \
+    md5 e3c5db3edfd8dc643f172fbf9d69258b \
+    sha1 70acfc1768471eb641d34336ed31cf597bb91d08 \
+    rmd160 e256aa788d29f73f8fb27e462580d3a4be9aa177 \
+  app-bm.tar.gz \
+    md5 418b9e615a34ae5aad918f5c5a694a44 \
+  doc.tar.gz \
+    md5 692f7874fc617162d0fe110daf39a98a
+
+dist_subdir         vim
+distname            vim[strsed ${vim_version} {g/\.//}]
+
 master_sites-append \
     http://www.douglas.stebila.ca/files/code/vim/app/:app_aqua \
     http://www.douglas.stebila.ca/files/code/vim/doc/:doc_aqua
 
-patchfiles          patch-if_ruby.c
-
-dist_subdir         ${realname}
-distname            ${realname}[strsed ${vim_version} {g/[.]//}]
-
-eval {
-    set low 1
-    while {$low <= $vim_patchlevel} {
-        set high [expr $low + 99];
-        if {$high < $vim_patchlevel} {
-            patchfiles-append \
-              [format "%s.%03d-%03d.gz" $vim_version $low $high]
-            incr low 100
-        } else {
-            patchfiles-append [format "%s.%03d" $vim_version $low]
-            incr low 1
-        }
-    }
-}
-
 set appPath "/Applications/MacPorts/"
 depends_lib         port:gettext \
                     port:ncurses
@@ -87,8 +57,6 @@
                     --disable-gpm \
                     --mandir=${prefix}/share/man \
                     --with-tlib=ncurses
-configure.env       CPPFLAGS="-I${prefix}/include" \
-                    LDFLAGS="-L${prefix}/lib"
 extract.only        ${realname}-${vim_version}${extract.suffix}
 post-extract {
     system "gnutar xvfz ${distpath}/${realname}-${vim_version}-extra.tar.gz -C \
@@ -138,23 +106,16 @@
 }
 
 # vim-app specific, experimental variants.
-# Since the patches may overlap, only ONE of these 
-# can be installed at a time.
 
 # macatsui: better antialising (experimental)
 # see http://wiki.macvim.org/wiki/VimPatches/ATSUI
-variant macatsui conflicts guitab {
-    patch_sites-append macports:.:macatsui
-    patchfiles-append  atsui.patch_mod:macatsui
-}
+# -- doesn't work with 7.1b
+#variant macatsui {
+#    patch_sites-append  macports:.:macatsui
+#    patchfiles-append   atsui.patch_mod:macatsui
+#    checksums-append    atsui.patch_mod md5 b0d53c9faa40fa8a43f905dc938d86c9
+#}
 
-# guitab: use a drawer for tabs (experimental)
-# see http://wiki.macvim.org/wiki/VimPatches/GuiTab
-variant guitab conflicts macatsui {
-   patch_sites-append  macports:.:guitab
-   patchfiles-append   guitab.v7.diff:guitab
-}
-
 # general vim variants
 
 variant big                     { configure.args-append --with-features=big }
@@ -186,5 +147,6 @@
 platform darwin i386 {
 }
 
-include checksums_dist
-include checksums_patch
+include serverlist
+include patchlist
+